;---------------------------------------------------------------------------
; Stand Light Punch
; CNS difficulty: easy
[Statedef 200]
type    = S                      ;State-type: S-stand, C-crouch, A-air, L-liedown
movetype= A                      ;Move-type: A-attack, I-idle, H-gethit
physics = S                      ;Physics: S-stand, C-crouch, A-air
juggle  = 1                      ;Number of air juggle points move takes
;Commonly-used controllers:
velset = 0,0                     ;Set velocity (x,y) (Def: no change)
ctrl = 0                         ;Set ctrl (Def: no change)
anim = 200+random%4                       ;Change animation (Def: no change)
poweradd = 20                    ;Power to add (Def: 0)
sprpriority = 2                  ;Set layering priority to 2 (in front)
facep2 = 1

[State EKFM]
type = PlaySnd
triggerall = anim = 200
trigger1 = Time = 0
;trigger1 = random < 500
value = S2,2
channel = 0
[State EKFM]
type = HitDef
triggerall = anim = 200
trigger1 = AnimElem = 3
attr = S, NA                     ;Attribute: Standing, Normal Attack
damage = 20, 0                   ;Damage that move inflicts, guard damage
animtype = Light                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = MA                   ;Flags on how move is to be guarded against
hitflag = MAF                    ;Flags of conditions that move can hit
priority = 3, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
;Hit/Miss/Dodge type (Def: Hit)
pausetime = 8, 8                 ;Time attacker pauses, time opponent shakes
sparkno = 0                      ;Spark anim no (Def: set above)
sparkxy = -10, -76               ;X-offset for the "hit spark" rel. to p2,
;Y-offset for the spark rel. to p1
hitsound = 5, 0                  ;Sound to play on hit
guardsound = 6, 0                ;Sound to play on guard
ground.type = High               ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 5             ;Time that the opponent slides back
ground.hittime  = 10 + (25*(numhelper(3101)) )
guard.hittime  = 5
ground.velocity = -4             ;Velocity at which opponent is pushed
airguard.velocity = -1.9,-.8     ;Guard velocity in air (def: (air.xvel*1.5, air.yvel/2))
air.type = High                  ;Type: High, Low, Trip (def: same as ground.type)
air.velocity = -1.4,-3           ;X-velocity at which opponent is pushed,
;Y-velocity at which opponent is pushed
air.hittime = 12                 ;Time before opponent regains control in air
[State EKFM]
type = PlaySnd
triggerall = anim = 200
trigger1 = Time = 1
value = 0, 0
[State NOAH]
type = PlaySnd
triggerall = anim = 201
trigger1 = time = 0
;trigger1 = random < 500
value = 20,ifelse(random<500,2,3)
channel = 0
ignorehitpause = 1
[State NOAH]
type = HitDef
triggerall = anim = 201
trigger1 = animelem = 3
trigger1 = !var(19)
attr = S, NA
damage = 60, 0
animtype = hard
guardflag = MA
hitflag = MAF
pausetime = 0, 0
guard.pausetime = 8,8
sparkno = 1
sparkxy = -10, -100
hitsound = S51,6
guardsound = 6,0
ground.type = High
ground.slidetime = 12
ground.hittime  = 12 + (25*(numhelper(3101)) )
guard.hittime  = 5
ground.velocity = -10
airguard.velocity = -1.9,-.8
air.type = High
air.velocity = -3,-4
air.hittime = 12
air.fall = 1
[State NOAH]
type = HitDef
triggerall = anim = 201
trigger1 = animelem = 3
trigger1 = var(19)
attr = S, NA
damage = 100, 0
animtype = up
guardflag = MA
hitflag = MAF
pausetime = 14, 14
guard.pausetime = 8,8
sparkno = 3
sparkxy = -10, -100
hitsound = S53,4
guardsound = 6,0
ground.type = High
ground.slidetime = 12
ground.hittime  = 12 + (25*(numhelper(3101)) )
guard.hittime  = 5
ground.velocity = -2,-7
airguard.velocity = -1.9,-.8
air.type = High
air.velocity = -2,-7
air.hittime = 12
fall = 1
fall.recover = 0
[State NOAH]
type = Explod
triggerall = anim = 201
trigger1 = animelem = 3
id = 201
anim = 209
pos = 0,0
postype = p1
bindtime = -1
sprpriority = 3
ownpal = 1
removeongethit = 1
ignorehitpause = 1
[State NOAH]
type = PlaySnd
triggerall = anim = 201
trigger1 = Time = 1
value = 70, 1
[State HEITA]
type = PlaySnd
triggerall = anim = 202
trigger1 = Time = 1
value = 70, 0
[State HEITA]
type = PlaySnd
triggerall = anim = 202
trigger1 = time = 0
;trigger1 = random < 500
value = S23,0+random%3
channel = 0
[State HEITA]
type = HitDef
triggerall = anim = 202
trigger1 = time = 1
attr = S, NA
damage = 15, 0
animtype = Light
guardflag = MA
hitflag = MAF
pausetime = 8, 8
sparkno = 0
sparkxy = -10, -75
hitsound = S53, 0
guardsound = S6, 1
ground.type = High
ground.slidetime = 5
ground.hittime = 16 + (25*(numhelper(3101)) )
guard.hittime = 6
ground.velocity = -4.3
airguard.velocity = -1.9,-.8
air.type = High
air.velocity = -1.4,-3
air.hittime = 12

;RUG
[State Voice]
type = PlaySnd
triggerall = anim = 203
trigger1 = time = 1
;trigger1 = random < 500
value = S22,0 + random%4
channel = 0
[State 200, 1]
type = HitDef
triggerall = anim = 203
trigger1 = AnimElem = 3
attr = S, NA
damage = 15, 0
animtype = Light
guardflag = MA
hitflag = MAF
pausetime = 4, 4
sparkno = 0
sparkxy = -10, -77
hitsound = S50, 0
guardsound = S6, 4
ground.type = High
ground.slidetime = 5
ground.hittime = 15 + (25*(numhelper(3101)) )
ground.velocity = -3
guard.velocity = -5.5
airguard.velocity = -1.9,-.8
air.type = High
air.velocity = -1.4,-3
air.hittime = 15
[State 200, 1]
type = PlaySnd
triggerall = anim = 203
trigger1 = Time = 1
value = 72, 0

;RUG

[State 200, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1


;---------------------------------------------------------------------------
; Standing strong punch
; CNS difficulty: easy
; Note the width controller. It makes KFM's push box larger, so he doesn't
; stand so close to the opponent. Hit Ctrl-C and look at the red bar at his
; feet.
; The sprpriority for this state is at -1, instead of the usual 2 for
; attacks. This makes KFM appear behind the opponent initially.
; The SprPriority controller in [State 210, 4] brings KFM to the front when
; his arm has swung over.
; To stop KFM from pausing in his swing frame, there is a ChangeAnim in
; [State 210, 3] that detects if the hit has come in contact with the
; opponent during that frame, and switches to the next animation element
; (notice the elem=6 parameter). If you don't see what I mean, try commenting
; out that controller, then hit someone with this attack.
[Statedef 210]
type    = S
movetype= A
physics = S
juggle  = 4
poweradd= 65
ctrl = 0
velset = 0,0
anim = 210+random%5
sprpriority = -1
facep2 = 1

[State SEGAL]
type = ChangeAnim
trigger1 = time = 0
trigger1 = anim = 214
trigger1 = p2bodydist x <= ifelse(numhelper(3101),65,15)
value = 216

[State EKFM]
type = PlaySnd
triggerall = anim = 210
trigger1 = Time = 0
;trigger1 = random < 500
value = S2,3
channel = 0
[State EKFM]
type = Width
triggerall = anim = 210
trigger1 = (AnimElemTime (2) >= 0) && (AnimElemTime (7) < 0)
value = 15,0
[State EKFM]
type = PlaySnd
triggerall = anim = 210
trigger1 = Time = 5
value = 0, 4
[State EKFM]
type = HitDef
triggerall = anim = 210
trigger1 = AnimElem = 3
attr = S, NA
animtype  = Medium
damage    = 57
guardflag = MA
pausetime = 12,12
sparkno = 1
sparkxy = -10,-70
hitsound   = 5,2
guardsound = 6,0
ground.type = High
ground.slidetime = 12
ground.hittime  = 13 + (25*(numhelper(3101)) )
guard.hittime  = 6
ground.velocity = -5.5
air.velocity = -2.5,-4
[State EKFM]
type = ChangeAnim
triggerall = anim = 210
trigger1 = AnimElemTime(5) > 0 && AnimElemTime(6) <= 0
trigger1 = movecontact
ignorehitpause = 1
persistent = 0
value = 210
elem = 6
[State EKFM]
type = SprPriority
triggerall = anim = 210
trigger1 = AnimElem = 5
value = 2
[State NOAH]
type = PlaySnd
triggerall = anim = 212
trigger1 = Time = 2
value = 70, 2
[State NOAH]
type = PlaySnd
triggerall = anim = 212
trigger1 = animelem = 4
value = 0, 10
[State NOAH]
type = Projectile
triggerall = anim = 212
trigger1 = animelem = 4
ProjID = 219
projanim = 219
projremanim = 4000
projhitanim = 4000
projscale = 1,1
projremove = 1
velocity = 9
projhits = 1
projpriority = 1
projsprpriority = 3
projedgebound = 0
projstagebound = 0
projheightbound = -240
offset = 12,-68
postype = p1
projshadow = 255,255,255
attr = S,NP
hitflag = MAF
guardflag = MA
animtype = hard
air.animtype = hard
damage = 50
pausetime = 0,0
sparkno = 2
hitsound = S51,6
guardsound = 6,0
ground.type = High
ground.slidetime = 12
ground.hittime = 12 + (25*(numhelper(3101)) )
guard.hittime  = 5
air.hittime = 20
ground.velocity = -10
air.velocity = -4,-3
air.juggle = 2
air.fall = 1
[State PAZZ]
type = PlaySnd
triggerall = anim = 211
trigger1 = animelem = 3
value = S0,7
[State PAZZ]
type = PlaySnd
triggerall = anim = 211
trigger1 = animelem = 7
value = S0,8
[State PAZZ]
type = HitDef
triggerall = !numhelper(3101)
triggerall = anim = 211
trigger1 = Time = 1
attr = S, SA
damage = 100, 0
animtype = up
guardflag = MA
hitflag = MAFP
priority = 5, Hit
pausetime = 18, 24
sparkno = 2
sparkxy = -10, -112
hitsound = S52, 4
guardsound = 6, 0
ground.type = High
ground.slidetime = 5
ground.hittime = 20
ground.velocity = -1,-8
air.type = High
air.velocity = -1,-8
air.hittime = 20
fall = 1
fall.recover = 0
[State PAZZ]
type = HitDef
triggerall = numhelper(3101)
triggerall = anim = 211
trigger1 = Time = 1
attr = S, SA
damage = 100, 0
animtype = hard
guardflag = MA
hitflag = MAFP
priority = 5, Hit
pausetime = 18, 24
sparkno = 2
sparkxy = -10, -112
hitsound = S52, 4
guardsound = 6, 0
ground.type = High
ground.slidetime = 5
ground.hittime = 20
ground.velocity = -6
air.type = High
air.velocity = -6
air.hittime = 20
air.fall = 1
fall.recover = 0
[State PAZZ]
type = HitDef
triggerall = anim = 211
trigger1 = animelem = 8
trigger2 = animelem = 10
attr = S, SA
damage = 100 - (hitcount*37), 0
animtype = hard
guardflag = MA
hitflag = MAFP
pausetime = 18, 17
sparkno = 2
sparkxy = -10, -65
hitsound = S52, 4
guardsound = 6, 0
ground.type = low
ground.slidetime = 8
ground.hittime = 20 + (25*(numhelper(3101)) )
ground.velocity = ifelse(numhelper(3101),-6,-25)
air.type = low
air.velocity = -20,-1
air.hittime = 20
air.fall = 1
fall.recover = 0

;H
[State HEITA]
type = PlaySnd
triggerall = anim = 213
trigger1 = time = 0
;trigger1 = random < 500
value = S23,3+random%3
channel = 0
[State HEITA]
type = PlaySnd
triggerall = anim = 213
trigger1 = Time = 2
value = 70, 1
[State HEITA]
type = VelAdd
triggerall = anim = 213
trigger1 = animelem = 2
x = 4
[State HEITA]
type = HitDef
triggerall = anim = 213
trigger1 = (time >= 1) && (!movecontact)
attr = S, NA
animtype  = Medium
damage  = 38
guardflag = MA
pausetime = 12,12
sparkno = 1
sparkxy = -10,-50
hitsound   = S53,1
guardsound = S6,1
ground.type = low
ground.slidetime = 12
ground.hittime  = 16 + (25*(numhelper(3101)) ) + ifelse(var(19),8,0)
guard.hittime = 8
ground.velocity = -5.5 - ifelse(var(19),1.5,0)
air.velocity = -2.5,-4
[State HEITA]
type = SprPriority
triggerall = anim = 213
trigger1 = AnimElem = 3
value = 2
ignorehitpause = 1

;H

;RUG

[State HUEG]
type = Explod
trigger1 = anim = 214
trigger1 = movehit = 1
anim = 917
pos = floor(p2dist x + 13),-73
postype = p1
removetime = -2
supermovetime = 65535
pausemovetime = 65535
scale = 2,2
sprpriority = 666
ontop = 1
ownpal = 1
ignorehitpause = 1
persistent = 0
[State DOWNG]
type = PlaySnd
trigger1 = anim = 214
trigger1 = movehit = 1
value = S0,16
ignorehitpause = 1
persistent = 0
[State DOWNG]
type = PlaySnd
trigger1 = anim = 214
trigger1 = movehit = 1
value = S0,26+random%2
ignorehitpause = 1
persistent = 0
[State DRAMATIC]
type = ChangeAnim
trigger1 = anim = 214
trigger1 = movehit = 1
value = 218
elem = animelemno(0)
ignorehitpause = 1

[State Voice]
type = PlaySnd
trigger1 = anim = 214
trigger1 = animelem = 6
trigger2 = anim = 216
trigger2 = animelem = 3
value = S22,4 + random%4
channel = 0
lowpriority = (anim = 216)

[State 200, 1]
type = HitDef
triggerall = anim = 214
trigger1 = AnimElem = 9
attr = S, NA
damage = 100, 0
animtype = hard
guardflag = MA
hitflag = MAF
pausetime = 6, 4
sparkno = 3
sparkxy = -18, -73
hitsound = S50, 5
guardsound = S6, 4
ground.type = high
ground.slidetime = 6
ground.hittime = 28 + (25*(numhelper(3101)) )
guard.velocity = -17
ground.velocity = -15,-4.5
airguard.velocity = -6,-2
air.type = low
air.velocity = -15,-4.5
air.hittime = 22
fall = 1
fall.recover = 0
envshake.time = 8
envshake.ampl = -7
envshake.freq = 235
id = 225
[State 200, 1]
type = HitDef
triggerall = anim = 216
trigger1 = AnimElem = 4
attr = S, NA
damage = 59, 0
animtype = hard
guardflag = MA
hitflag = MAF
pausetime = 8, 8
sparkno = 2
sparkxy = -15, -56
hitsound = S50, 4
guardsound = S6, 4
ground.type = low
ground.slidetime = 10
ground.hittime = 20 + (25*(numhelper(3101)) )
ground.velocity = -10
guard.velocity = -12
airguard.velocity = -1.9,-.8
air.type = low
air.velocity = -3.5,-4
air.hittime = 25
envshake.time = 8
envshake.ampl = -6
envshake.freq = 205

[State WallBounce]
type = TargetState
trigger1 = numtarget(225)
trigger1 = movehit = 1
trigger1 = !(target(225),ishelper)
value = 225
ID = 225
ignorehitpause = 1

[State 200, 1]
type = PlaySnd
triggerall = anim = 216
trigger1 = Time = 1
value = 72, 3
[State 200, 1]
type = PlaySnd
triggerall = anim = 214
trigger1 = Time = 6
value = 72, 4


;RUG

[State 210, 5]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; S.FP
[Statedef 220]
type    = S
movetype= A
physics = S
juggle  = 4
poweradd= 85
ctrl = 0
velset = 0,0
anim = 220+random%4
sprpriority = 2
facep2 = 1

; EKFM

[State with voice]
type = PlaySnd
triggerall = anim = 220
trigger1 = Time = 0
trigger1 = random < 500
value = S2,49
channel = 0
[State 210, Width]
type = Width
triggerall = anim = 220
trigger1 = (AnimElemTime (3) >= 0) && (AnimElemTime (6) < 0)
value = 17,0

[State 210, 1]
type = PlaySnd
triggerall = anim = 220
trigger1 = Time = 2
value = 0, 2

[State 210, 2]
type = HitDef
triggerall = anim = 220
trigger1 = prevstateno = [200,499]
trigger1 = AnimElem = 4
attr = S, NA
animtype  = hard
damage    = 66
guardflag = MA
pausetime = 12,12
sparkno = 1
sparkxy = -10,-70
hitsound   = 5,3
guardsound = 6,0
ground.type = High
ground.slidetime = 12
ground.hittime  = 16 + (25*(numhelper(3101)) )
guard.hittime  = 8
ground.velocity = -6.2
air.velocity = -2.5,-4
[State 210, 2]
type = HitDef
triggerall = anim = 220
trigger1 = prevstateno != [200,499]
trigger1 = AnimElem = 4
attr = S, NA
animtype  = hard
damage    = 79
guardflag = HA
pausetime = 12,12
sparkno = 1
sparkxy = -10,-70
hitsound   = 5,3
guardsound = 6,0
ground.type = High
ground.slidetime = 12
ground.hittime  = 19 + (25*(numhelper(3101)) )
guard.hittime  = 8
ground.velocity = -8
air.velocity = -2.5,4
air.fall = 1

; EKFM

; SEGA

[State 0, VelSet]
type = VelSet
triggerall = anim = 221
trigger1 = time = 0
trigger1 = prevstateno != 100
x = 0
y = 0

[State 0, PosAdd]
type = PosAdd
triggerall = anim = 221
trigger1 = animelem = 4
x = 32
[State 0, StateTypeSet]
type = StateTypeSet
triggerall = anim = 221
trigger1 = animelem = 4
statetype = A       ;S,A,C,L
physics = A         ;A,C,S,N
[State 0, VelSet]
type = VelSet
triggerall = anim = 221
trigger1 = animelem = 4
x = 2.7
y = -4.2

[State Voice]
type = PlaySnd
triggerall = anim = 221
trigger1 = time = 2
value = S22,ifelse(random<500,3,0)
channel = 0

[State 600, 1]
type = PlaySnd
triggerall = anim = 221
trigger1 = Time = 1
value = 72, 3

[State 600, 2]
type = HitDef
triggerall = anim = 221
trigger1 = Time = 2
animtype = hard
attr = A, NA
damage = 55
guardflag = HA
pausetime = 7,8
sparkno = 2
sparkxy = -10,-50
hitsound   = S50,5
guardsound = S6,4
ground.type = High
ground.slidetime = 12
ground.hittime = 16 + (25*(numhelper(3101)) )
ground.velocity = -9
air.velocity = -2.5,-5.1
air.fall = 1
envshake.time = 8
envshake.ampl = -7
envshake.freq = 235

; SEGA

; OTW

[State 0, VelAdd]
type = VelAdd
triggerall = anim = 222
trigger1 = animelem = 6
x = 7
[State 200, 1]
type = HitDef
triggerall = anim = 222
trigger1 = AnimElem = 8
priority = 4
attr = S, NA                     ;Attribute: Standing, Normal Attack
damage = 70, 0                   ;Damage that move inflicts, guard damage
animtype = Hard                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = MA                   ;Flags on how move is to be guarded against
hitflag = MAF                    ;Flags of conditions that move can hit
pausetime = 0, 0                 ;Time attacker pauses, time opponent shakes
sparkno = 1                      ;Spark anim no (Def: set above)
sparkxy = 0, -45
;Y-offset for the spark rel. to p1
hitsound = S54, 1                  ;Sound to play on hit
guardsound = S6, 3                ;Sound to play on guard
ground.type = High               ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 5             ;Time that the opponent slides back
ground.hittime  = 18 + (25*(numhelper(3101)) )
ground.velocity = -8             ;Velocity at which opponent is pushed
airguard.velocity = -1.9,-.8     ;Guard velocity in air (def: (air.xvel*1.5, air.yvel/2))
air.type = High                  ;Type: High, Low, Trip (def: same as ground.type)
air.velocity = -3,-6           ;X-velocity at which opponent is pushed,
;Y-velocity at which opponent is pushed
air.hittime = 12                 ;Time before opponent regains control in air

[State you can just block]
type = StateTypeSet
triggerall = anim = 222
trigger1 = animelem = 9
movetype = I

[State 200, 1]
type = PlaySnd
triggerall = anim = 222
trigger1 = Time = 0
value = 0, 1

; OTW

; GLAC

[State 0, VelSet]
type = VelSet
triggerall = anim = 223
trigger1 = animelemtime(2) >= 0
trigger1 = animelemtime(13) < 0
x = 2.65

[State 200, 1]
type = HitDef
triggerall = anim = 223
trigger1 = AnimElem = 5
trigger2 = AnimElem = 13
attr = S, NA
damage = 36, 0
animtype = hard
guardflag = MA
hitflag = MAF
pausetime = 0, 0
sparkno = 1
sparkxy = -10, -106
hitsound = S50,3
guardsound = S6, 4
ground.type = High
ground.slidetime = 5
ground.hittime = 23 + (25*(numhelper(3101)) )
guard.hittime = 3
ground.velocity = -5.5
guard.velocity = -9
airguard.velocity = -1.9,-.8
air.type = High
air.velocity = -2.2,-4.6
air.hittime = 21
getpower = 0,90
givepower = 76,0
fall.kill = 1
fall.recover = ifelse(p2life<50,0,1)
fall.damage = 2
air.fall = 1
envshake.time = 8
envshake.ampl = -7
envshake.freq = 235

[State 200, 1]
type = PlaySnd
triggerall = anim = 223
trigger1 = animelem = 3
trigger2 = animelem = 11
value = 71, 6+random%3

[State 0, PlaySnd]
type = PlaySnd
triggerall = anim = 223
trigger1 = animelem = 3
value = S21,random%4
channel = 0
ignorehitpause = 1
[State 0, PlaySnd]
type = PlaySnd
triggerall = anim = 223
trigger1 = animelem = 11
value = S21,4+random%4
channel = 0
ignorehitpause = 1


; GLAC

[State 210, 5]
type = ChangeState
trigger1 = anim != 221
trigger1 = AnimTime = 0
value = 0
ctrl = 1


;---------------------------------------------------------------------------
; Standing light kick
; CNS difficulty: easy
[Statedef 230]
type    = S
movetype= A
physics = S
juggle  = 4
poweradd= 22
ctrl = 0
velset = 0,0
anim = 230+random%4
sprpriority = 2
facep2 = 1

[State SEGAL]
type = ChangeAnim
trigger1 = time = 0
trigger1 = anim = 232
trigger1 = p2bodydist x <= ifelse(numhelper(3101),20,13)
value = 237

[State EKFM]
type = PlaySnd
triggerall = anim = 230
trigger1 = Time = 0
;trigger1 = random < 500
value = S2,2
channel = 0
[State EKFM]
type = PlaySnd
triggerall = anim = 230
trigger1 = Time = 2
value = 0, 1
[State EKFM]
type = HitDef
triggerall = anim = 230
trigger1 = Time = 1
attr = S, NA
animtype  = Medium
damage    = 26
guardflag = MA
pausetime = 12,12
sparkno = 0
sparkxy = -10,-37
hitsound   = 5,1
guardsound = 6,0
ground.type = Low
ground.slidetime = 10
ground.hittime  = 11 + (25*(numhelper(3101)) )
guard.hittime  = 6
ground.velocity = -5
air.velocity = -2.5,-3.5

;H
[State HEITA]
type = PlaySnd
triggerall = anim = 231
trigger1 = time = 0
;trigger1 = random < 500
value = S23,0+random%3
volume = 0
channel = 0
[State HEITA]
type = Width
triggerall = anim = 231
trigger1 = animelemtime(12) < 0
value = 10,10
ignorehitpause =1
[State HEITA]
type = PosAdd
triggerall = anim = 231
trigger1 = animelem = 2
trigger2 = animelem = 3
x = 4
ignorehitpause = 1
[State HEITA]
type = PosAdd
triggerall = anim = 231
trigger1 = animelem = 4
x = 7
ignorehitpause = 1
[State HEITA]
type = PosAdd
triggerall = anim = 231
trigger1 = animelem = 5
x = 3
[State HEITA]
type = PosAdd
triggerall = anim = 231
trigger1 = animelem = 6
trigger2 = time = 0
x = 2
ignorehitpause = 1
[State HEITA]
type = PosAdd
triggerall = anim = 231
trigger1 = animelem = 15
x = 11
ignorehitpause = 1
[State HEITA]
type = PosAdd
triggerall = anim = 231
trigger1 = animelem = 16
trigger2 = animelem = 17
trigger3 = animtime = 0
x = 10
ignorehitpause = 1
[State HEITA]
type = PlaySnd
triggerall = anim = 231
trigger1 = Time = 2
value = 70, 1
[State HEITA]
type = HitDef
triggerall = anim = 231
trigger1 = Time = 1
attr = S, NA
animtype  = Medium
damage  = 25
guardflag = MA
pausetime = 12,12
sparkno = 0
sparkxy = -10,-106
hitsound   = S53,2
guardsound = S6,1
ground.type = high
ground.slidetime = 10
ground.hittime  = 18 + (25*(numhelper(3101)) )
guard.hittime = 6
ground.velocity = -5
air.velocity = -1.8,-5.2
;yaccel = fvar(12)

;H

;RUG

[State Voice]
type = PlaySnd
trigger1 = anim = 232
trigger1 = time = 2
value = S22,4 + random%5
channel = 0
[State Voice]
type = PlaySnd
trigger1 = anim = 237
trigger1 = time = 2
value = S22,0 + random%3
channel = 0
[State 200, 1]
type = HitDef
trigger1 = anim = 232
trigger1 = AnimElem = 4
attr = S, NA
damage = 54, 0
animtype = hard
guardflag = MA
hitflag = MAF
pausetime = 8, 8
sparkno = 2
sparkxy = -15, -72
hitsound = S50, 4
guardsound = S6, 4
ground.type = low
ground.slidetime = 12
ground.hittime = 22 + (25*(numhelper(3101)) )
ground.velocity = -10
airguard.velocity = -4,-3
air.type = low
air.velocity = -6,-2.5
air.hittime = 22
air.fall = 1
envshake.time = 8
envshake.ampl = -6
envshake.freq = 205
[State 200, 1]
type = HitDef
trigger1 = anim = 237
trigger1 = AnimElem = 3
attr = S, NA
damage = 42, 0
animtype = hard
guardflag = MA
hitflag = MAF
pausetime = 8, 8
sparkno = 1
sparkxy = -15, -86
hitsound = S50, 4
guardsound = S6, 4
ground.type = High
ground.slidetime = 10
ground.hittime = 18 + (25*(numhelper(3101)) )
ground.velocity = -9.5
airguard.velocity = -2.8,-5.5
air.type = High
air.velocity = -1.5,-5.3
air.hittime = 18
envshake.time = 8
envshake.ampl = -6
envshake.freq = 205

[State 200, 1]
type = PlaySnd
triggerall = anim = 237
trigger1 = Time = 1
value = 72, 1
[State 200, 1]
type = PlaySnd
triggerall = anim = 232
trigger1 = Time = 1
value = 72, 2

;RUG

;SHQ

[State 0, PlaySnd]
type = PlaySnd
trigger1 = anim = 233
trigger1 = animelem = 4
value = S73,1
ignorehitpause = 1

[State 200, 1]
type = HitDef
trigger1 = anim = 233
trigger1 = Time = 1
attr = S, NA
damage = 35, 0
animtype = light
guardflag = MA
hitflag = MAF
pausetime = 10, 10
sparkno = 0
sparkxy = -20,-90
hitsound = S52, 1
guardsound = S6, 0
ground.type = low
ground.slidetime = 9
ground.hittime  = 20 + (25*(numhelper(3101)) )
ground.velocity = -7.6
airguard.velocity = -1.9,-.8
air.type = low
air.velocity = -2.6,-3.5
air.hittime = 18


;SHQ

[State 230, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1


;---------------------------------------------------------------------------
; Standing strong kick
; CNS difficulty: easy
[Statedef 240]
type    = S
movetype= A
physics = S
juggle  = 5
poweradd= 65
ctrl = 0
velset = 0,0
anim = 240+random%4
sprpriority = 2
facep2 = 1

[State GLACIUS]
type = ChangeAnim
trigger1 = time = 0
trigger1 = anim = 240
trigger1 = p2bodydist x <= 25
value = 246

[State GLACIUS]
type = HitDef
trigger1 = anim = 240
trigger1 = AnimElem = 8
attr = S, NA
damage = 92, 0
animtype = hard
guardflag = MA
hitflag = MAF
pausetime = 0, 0
sparkno = 2
sparkxy = -10, -115
hitsound = S50, 5
guardsound = S6, 4
ground.type = High
ground.slidetime = 5
ground.hittime = 26 + (25*(numhelper(3101)) )
guard.hittime = 3
ground.velocity = -6.8
guard.velocity = -12
airguard.velocity = -1.9,-.8
air.type = High
air.velocity = -6,-2.8
air.hittime = 19
getpower = 0,115
givepower = 100,0
envshake.time = 8
envshake.ampl = -7
envshake.freq = 235
[State GLACIUS]
type = HitDef
trigger1 = anim = 246
trigger1 = AnimElem = 7
attr = S, NA
damage = 79, 0
animtype = hard
guardflag = MA
hitflag = MAF
pausetime = 0, 0
sparkno = 2
sparkxy = -10, -77
hitsound = S50, 5
guardsound = S6, 4
ground.type = High
ground.slidetime = 5
ground.hittime = 20 + (25*(numhelper(3101)) )
guard.hittime = 3
ground.velocity = -3
guard.velocity = -9
airguard.velocity = -1.9,-.8
air.type = High
air.velocity = -6,-2.8
air.hittime = 19
getpower = 0,115
givepower = 100,0
envshake.time = 8
envshake.ampl = -7
envshake.freq = 235
[State GLACIUS]
type = PlaySnd
trigger1 = anim = 240 || anim = 246
trigger1 = animelem = 4
value = S21,4+random%4
channel = 0
ignorehitpause = 1
[State GLACIUS]
type = PlaySnd
trigger1 = anim = 240 || anim = 246
trigger1 = animelem = 4
value = 71, 6+random%3

;H

[State HEITA]
type = PlaySnd
triggerall = anim = 241
trigger1 = time = 0
;trigger1 = random < 500
trigger1 = !numhelper(3101)
value = S24,ifelse(random<500,9,10)
channel = 0
[State voice]
type = PlaySnd
triggerall = anim = 241
trigger1 = time = 0
trigger1 = numhelper(3101)
value = S23,5+random%4
channel = 0
[State HEITA]
type = Width
trigger1 = anim = 241
trigger1 = animelemtime(8) < 0
value = 22,15
ignorehitpause = 1
[State HEITA]
type = PlaySnd
triggerall = anim = 241
trigger1 = Time = 2
value = 70, 2
[State 240, 2]
type = HitDef
triggerall = numhelper(3101)
triggerall = anim = 241
trigger1 = (time >= 1) && (!movecontact) && (!movereversed)
attr = S, NA
animtype  = hard
damage    = 63
guardflag = MA
pausetime = 12,12
sparkno = 1
sparkxy = -10,-70
hitsound   = S53,3
guardsound = S6,1
ground.type = high
ground.slidetime = 12
ground.hittime  = 37
guard.hittime = 6
ground.velocity = -9
air.velocity = -3.9,-3.2
[State HEITA]
type = HitDef
triggerall = !numhelper(3101)
triggerall = anim = 241
trigger1 = (time >= 1) && (!movecontact) && (!movereversed)
attr = S, NA
animtype  = diagup
damage  = 79
guardflag = MA
pausetime = 10,10
sparkno = 2
sparkxy = -10,-70
hitsound   = S53,3
guardsound = S6,1
ground.type = high
ground.slidetime = 12
ground.hittime  = 20
guard.hittime = 6
ground.velocity = ifelse(!var(19),-2,-9),ifelse(fvar(38)<4,-3,-5.8) + ifelse(!var(19),0,-3.3)
air.velocity = ifelse(!var(19),-2,-9),ifelse(fvar(38)<4,-3.2,-5.2) + ifelse(!var(19),0,-3.3)
fall = 1
id = 1020
[State Counter wallbounce alt.method]
type = TargetState
triggerall = var(19)
trigger1 = numtarget(1020)
;trigger1 = ! (target(1020),ishelper)
trigger1 = var(18) = 1
value = 225
ID = 1020
ignorehitpause = 1
persistent = 0


;H

; OTW

[State 0, ]
type = Explod
triggerall = anim = 242
trigger1 = animelem = 3
anim = 247
pos = 0,0
postype = p1
facing = 1
bindtime = -1
;scale = .5, .5
sprpriority = 6
ownpal = 1
removeongethit = 1
ignorehitpause = 1
[State 0, ]
type = PlaySnd
triggerall = anim = 242
trigger1 = animelem = 4
value = 1,8
[State 200, 1]
type = HitDef
triggerall = !numhelper(3101)
triggerall = anim = 242
trigger1 = AnimElem = 4
priority = 5
attr = S, NA
damage = 95, 0
animtype = diagup
guardflag = MA
hitflag = MAF
pausetime = 0, 8
sparkno = 2
sparkxy = 0, -33
hitsound = S54, 3
guardsound = S6, 3
ground.type = High
ground.slidetime = 5
ground.hittime  = 18
ground.velocity = -12,-3
air.velocity = -12,-3
air.type = High
air.hittime = 12
fall = 1
[State 200, 1]
type = HitDef
triggerall = numhelper(3101)
triggerall = anim = 242
trigger1 = AnimElem = 4
priority = 5
attr = S, NA
damage = 95, 0
animtype = hard
guardflag = MA
hitflag = MAF
pausetime = 0, 8
sparkno = 2
sparkxy = 0, -33
hitsound = S54, 3
guardsound = S6, 3
ground.type = low
ground.slidetime = 5
ground.hittime = 35
ground.velocity = -12
air.velocity = -12,-3
air.type = low
air.hittime = 35
fall = 0

[State you can just block]
type = StateTypeSet
triggerall = anim = 242
trigger1 = animelem = 8
movetype = I


; OTW

; SHQ

[State 0, PlaySnd]
type = PlaySnd
trigger1 = anim = 243
trigger1 = animelem = 4
value = S73,3
ignorehitpause = 1
[State 200, 1]
type = HitDef
trigger1 = anim = 243
trigger1 = Time = 1
attr = S, NA
damage = 68, 0
animtype = hard
guardflag = MA
hitflag = MAF
pausetime = 12, 12
sparkno = 1
sparkxy = -20,-124
hitsound = S52, 3
guardsound = S6, 0
ground.type = High
ground.slidetime = 9
ground.hittime  = 22 + (25*(numhelper(3101)) )
ground.velocity = -9.4
airguard.velocity = -1.9,-.8
air.type = High
air.velocity = -3.6,-5
air.hittime = 23


; SHQ

[State 240, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Forward+Kick
[Statedef 250]
type    = S
movetype= A
physics = S
juggle  = 4
poweradd= 80
ctrl = 0
velset = 0,0
anim = 250+random%5
sprpriority = 2
facep2 = 1

;KFM
[State 0, StateTypeSet]
type = StateTypeSet
trigger1 = anim = 251
physics = N
persistent = 0
[State with voice]
type = PlaySnd
triggerall = anim = 251
trigger1 = movehit
value = S2,ifelse(random<333,10,ifelse(random<333,13,27) )
channel = 0
ignorehitpause = 1
persistent = 0
[State 240, 1]
type = PlaySnd
triggerall = anim = 251
trigger1 = Time = 2
value = 0, 11
[State 240, 2]
type = HitDef
triggerall = anim = 251
trigger1 = Timemod = 6,2
attr = S, SA
animtype  = Hard
damage    = 14,ifelse(random<500,1,0)
guardflag = MA
pausetime = 6,6
sparkno = 12
sparkxy = -10,-60
hitsound   = S50,8
guardsound = 6,0
ground.type = Low
ground.slidetime = 12
ground.hittime  = 16 + (25*(numhelper(3101)) )
guard.hittime  = 6
ground.velocity = -3
air.velocity = -2.2,-3.2
[State 240, 3]
type = Velset
triggerall = anim = 251
trigger1 = AnimElem = 3
x = 2.7
[State 240, 3]
type = Velset
triggerall = anim = 251
trigger1 = AnimElem = 23
x = 0
;KFM

;SHQ

[State -3, Running sound]
type = PlaySnd
triggerall = anim = 250
trigger1 = animelem = 8
value = 40, 0
[State 0, PosAdd]
type = PosAdd
triggerall = anim = 250
trigger1 = animelem = 2
trigger2 = animelem = 3
x = 12
ignorehitpause 1
[State 0, PosAdd]
type = PosAdd
triggerall = anim = 250
trigger1 = animelem = 4
trigger2 = animelem = 5
x = 6
ignorehitpause 1
[State 0, PosAdd]
type = PosAdd
triggerall = anim = 250
trigger1 = animelem = 6
trigger2 = animelem = 8
x = 16
ignorehitpause 1
[State 0, PosAdd]
type = PosAdd
triggerall = anim = 250
trigger1 = animelem = 7
x = 18
ignorehitpause 1
[State 0, PosAdd]
type = PosAdd
triggerall = anim = 250
trigger1 = animelem = 14
x = 2
ignorehitpause 1
[State 0, PlaySnd]
type = PlaySnd
triggerall = anim = 250
trigger1 = animelem = 8
value = S73,3
ignorehitpause = 1
[State 200, 1]
type = HitDef
triggerall = anim = 250
trigger1 = animelem = 8
attr = S, NA
damage = 65, 0
animtype = high
guardflag = MA
hitflag = MAF
pausetime = 10, 10
sparkno = 1
sparkxy = -20,-94
hitsound = S52, 3
guardsound = S6, 0
ground.type = high
ground.slidetime = 9
ground.hittime  = 22 + (25*(numhelper(3101)) )
ground.velocity = -4.2*const(size.xscale)
airguard.velocity = -1.9,-.8
air.type = low
air.velocity = -1.3*const(size.xscale),-3.5
air.hittime = 21

;SHQ

;H

[State 0, Width]
type = Width
triggerall = anim = 252
trigger1 = animelemtime(9) >= 0
trigger2 = animelemtime(13) < 0
value = 15,15
ignorehitpause = 1

[State 0, Explod]
type = Explod
triggerall = anim = 252
trigger1 = time = 0
trigger2 = animelem = 12
anim = 903
pos = 0,8
vel = -1,0
facing = 1
postype = p1
bindtime = 1
sprpriority = 5
ownpal = 1
[State 0, Helper]
type = Helper
triggerall = anim = 252
trigger1 = time = 0
helpertype = normal
name = "Fire Effect"
ID = 239
stateno = 259
pos = 0,0
postype = p1
ownpal = 1
supermovetime = 65535
pausemovetime = 65535
ignorehitpause = 1
[State 0, Helper]
type = Helper
triggerall = anim = 252
trigger1 = time = 0
helpertype = normal
name = "Fire Effect"
ID = 238
stateno = 258
pos = 0,0
postype = p1
ownpal = 1
supermovetime = 65535
pausemovetime = 65535
ignorehitpause = 1

[State SPARKLES]
type = Helper
triggerall = anim = 252
trigger1 = animelem = 13
helpertype = normal
name = "SPARKIE"
ID = 237
stateno = 257
pos = -39,-52
postype = p1
ownpal = 1
supermovetime = 65535
pausemovetime = 65535
ignorehitpause = 1
[State SPARKLES]
type = Helper
triggerall = anim = 252
trigger1 = animelem = 13
helpertype = normal
name = "SPARKIE"
ID = 237
stateno = 257
pos = -31,-64
postype = p1
ownpal = 1
supermovetime = 65535
pausemovetime = 65535
ignorehitpause = 1
[State SPARKLES]
type = Helper
triggerall = anim = 252
trigger1 = animelem = 13
helpertype = normal
name = "SPARKIE"
ID = 237
stateno = 257
pos = -23,-70
postype = p1
ownpal = 1
supermovetime = 65535
pausemovetime = 65535
ignorehitpause = 1
[State SPARKLES]
type = Helper
triggerall = anim = 252
trigger1 = animelem = 13
helpertype = normal
name = "SPARKIE"
ID = 237
stateno = 257
pos = -4,-87
postype = p1
ownpal = 1
supermovetime = 65535
pausemovetime = 65535
ignorehitpause = 1
[State SPARKLES]
type = Helper
triggerall = anim = 252
trigger1 = animelem = 13
helpertype = normal
name = "SPARKIE"
ID = 237
stateno = 257
pos = -9,-100
postype = p1
ownpal = 1
supermovetime = 65535
Pausemovetime = 65535
ignorehitpause = 1
[State SPARKLES]
type = Helper
triggerall = anim = 252
trigger1 = animelem = 13
helpertype = normal
name = "SPARKIE"
ID = 237
stateno = 257
pos = 20,-106
postype = p1
ownpal = 1
supermovetime = 65535
pausemovetime = 65535
ignorehitpause = 1

[State voice]
type = PlaySnd
triggerall = anim = 252
trigger1 = animelem = 2
value = S23,11
channel = 0
[State voice]
type = PlaySnd
triggerall = anim = 252
trigger1 = animelem = 11
value = S23,12
channel = 0

[State 230, 1]
type = PlaySnd
triggerall = anim = 252
trigger1 = Time = 2
value = 70, 4
[State 230, 1]
type = PlaySnd
triggerall = anim = 252
trigger1 = animelem = 10
value = 70, 3
[State 230, 1]
type = PlaySnd
triggerall = anim = 252
trigger1 = Time = 2
trigger2 = animelem = 10
value = 0, 22

[State 0, VelAdd]
type = VelAdd
triggerall = anim = 252
trigger1 = time = 0
trigger2 = animelem = 11
x = 10.3
ignorehitpause = 1
[State 0, PosAdd]
type = PosAdd
triggerall = anim = 252
trigger1 = animelem = 13
x = 18
ignorehitpause = 1
[State 0, PosAdd]
type = PosAdd
triggerall = anim = 252
trigger1 = animelem = 10
x = 4
ignorehitpause = 1
[State 0, PosAdd]
type = PosAdd
triggerall = anim = 252
trigger1 = animelem = 11
x = 6
ignorehitpause = 1
[State 0, PosAdd]
type = PosAdd
triggerall = anim = 252
trigger1 = animelem = 12
x = 12
ignorehitpause = 1

[State 230, 2]
type = HitDef
triggerall = anim = 252
trigger1 = animelem = 3
attr = S, SA
animtype  = Medium
damage  = 28
hitflag = MAFD
guardflag = MA
pausetime = 8,8
sparkno = 0
sparkxy = -10,-67
hitsound   = S53,1
guardsound = S6,1
ground.type = high
ground.slidetime = 12
ground.hittime  = 28 + (25*(numhelper(3101)) )
guard.hittime = 6
ground.velocity = ifelse(!var(19),-8,-5.2),ifelse(!var(19),0,-7.3)
air.velocity = -2.2,ifelse(!var(19),-6,-7.3)
fall = ifelse(!var(19),0,1)
[State 230, 2]
type = HitDef
triggerall = anim = 252
trigger1 = animelem = 11
attr = S, SA
animtype = high
damage  = 33
hitflag = MAFD
guardflag = MA
pausetime = 12,12
sparkno = 1
sparkxy = -10,-106
hitsound   = S53,3
guardsound = S6,2
ground.type = high
ground.slidetime = 18
ground.hittime  = 25 + (25*(numhelper(3101)) )
guard.hittime = 6
ground.velocity = -9
air.velocity = -2.8,-6.8

;H

; PAZZ

[State 0, PlaySnd]
type = PlaySnd
triggerall = anim = 253
trigger1 = animelem = 2
value = S0,7
[State 0, PlaySnd]
type = PlaySnd
triggerall = anim = 253
trigger1 = animelem = 3
value = S0,11

[State 200, 1]
type = HitDef
triggerall = anim = 253
trigger1 = animelem = 3
trigger2 = animelem = 5
trigger3 = animelem = 7
trigger4 = animelem = 9
trigger5 = animelem = 11
trigger6 = animelem = 13
attr = S, SA
damage = 28 - (hitcount*3), 0
animtype = hard
guardflag = MA
hitflag = MAFP
pausetime = 4, 4
sparkno = 0
sparkxy = -10, -54
hitsound = 5, 3
guardsound = 6, 0
ground.type = High
ground.slidetime = 5
ground.hittime = 15 + (25*(numhelper(3101)) )
ground.velocity = ifelse(numhelper(3101),-9,-11) + (hitcount)
air.type = High
air.velocity = -2,-6
air.hittime = 15
air.fall = 1
fall.recover = 0

; PAZZ

; SEGA

[State 0, ChangeAnim]
type = ChangeAnim
triggerall = Anim = 254
trigger1 = time = 0
trigger1 = prevstateno = 100
value = 254
elem = 2

[State Voice]
type = PlaySnd
triggerall = Anim = 254
trigger1 = time = 2
value = S22,1
channel = 0
lowpriority = 1

[State 0, StateTypeSet]
type = StateTypeSet
triggerall = Anim = 254
trigger1 = animelem = 2
statetype = A
physics = N
[State 0, StateTypeSet]
type = StateTypeSet
trigger1 = Anim = 256
statetype = S
physics = S
persistent = 0
[State 0, PosSet]
type = PosSet
trigger1 = Anim = 256
y = 0
persistent = 0
[State 0, VelSet]
type = VelSet
trigger1 = Anim = 256
x = 0
y = 0
persistent = 0
[State 0, VelSet]
type = VelSet
triggerall = Anim = 254
trigger1 = animelem = 2
x = 4.45
y = -3.8
[State 0, Gravity]
type = Gravity
triggerall = Anim = 254
trigger1 = animelemtime(2) >= 0
[State 0, ChangeAnim]
type = ChangeAnim
triggerall = Anim = 254
trigger1 = vel y > 0
trigger1 = pos y >= 0
value = 256

[State 200, 1]
type = HitDef
triggerall = Anim = 256
trigger1 = AnimElem = 2
attr = S, NA
damage = 42, 0
animtype = medium
guardflag = LA
hitflag = MAF
pausetime = 4, 4
sparkno = 2
sparkxy = -15, -45
hitsound = S50, 4
guardsound = S6, 4
ground.type = low
ground.slidetime = 10
ground.hittime = 21 + (25*(numhelper(3101)) )
ground.velocity = -9
airguard.velocity = -3,-3
air.type = trip
air.velocity = -6,-3.8
air.hittime = 18
air.fall = 1
envshake.time = 8
envshake.ampl = -6
envshake.freq = 205

[State 200, 1]
type = PlaySnd
trigger1 = anim = 256
value = S0,100+random%4
persistent = 0
[State 200, 1]
type = PlaySnd
trigger1 = anim = 256
value = 72, 0
persistent = 0


; SEGA

[State 240, 4]
type = ChangeState
trigger1 = Anim != 254
trigger1 = AnimTime = 0
value = 0
ctrl = 1


;---------------------------------------------------------------------------
;Crouching light punch
; CNS difficulty: easy
[Statedef 400]
type    = C
movetype= A
physics = C
juggle  = 5
poweradd= 15
ctrl = 0
anim = 400+random%5
sprpriority = 2
facep2 = 1

[State EKFM]
type = PlaySnd
triggerall = anim = 400
trigger1 = Time = 1
;trigger1 = random < 500
value = S2,2
channel = 0
[State EKFM]
type = PlaySnd
triggerall = anim = 400
trigger1 = Time = 1
value = 0, 0
[State EKFM]
type = HitDef
triggerall = anim = 400
trigger1 = Time = 1
attr = C, NA
damage    = 20
priority  = 3
animtype  = Light
hitflag = MAF
guardflag = L
pausetime = 10,11
sparkno = 0
sparkxy = -10,-42
hitsound   = 5,0
guardsound = 6,0
ground.type = Low
ground.slidetime = 4
ground.hittime  = 10 + (25*(numhelper(3101)) )
guard.hittime  = 5
ground.velocity = -4
air.velocity = -1.5,-3
[State EKFM]
type = CtrlSet
triggerall = anim = 400
trigger1 = Time = 5
value = 1

[State HEITA]
type = PlaySnd
triggerall = anim = 402
trigger1 = Time = 1
value = 70, 0
[State HEITA]
type = PlaySnd
triggerall = anim = 402
trigger1 = time = 0
;trigger1 = random < 500
value = S23,0+random%3
channel = 0
[State HEITA]
type = HitDef
triggerall = anim = 402
trigger1 = time = 1
attr = C, NA
damage    = 15
priority  = 3
animtype  = Light
hitflag = MAF
guardflag = L
pausetime = 10,11
sparkno = 0
sparkxy = -10,-46
hitsound   = S53,0
guardsound = S6,1
ground.type = Low
ground.slidetime = 4
ground.hittime = 13 + (25*(numhelper(3101)) )
guard.hittime = 6
ground.velocity = -4
air.velocity = -1.5,-3

[State GLAC]
type = HitDef
triggerall = anim = 401
trigger1 = AnimElem = 3
attr = C, NA
damage = 15, 0
animtype = Light
guardflag = M
hitflag = MAF
pausetime = 0, 0
sparkno = 0
sparkxy = -10, -59
hitsound = S50, 1
guardsound = S6, 4
ground.type = low
ground.slidetime = 5
ground.hittime  = 11 + (25*(numhelper(3101)) )
guard.hittime = 3
ground.velocity = -3.3
airguard.velocity = -1.9,-.8
air.type = low
air.velocity = -1.4,-3
air.hittime = 12
[State GLAC]
type = PlaySnd
triggerall = anim = 401
trigger1 = animelem = 2
value = 71, random%3

;RUG

[State Voice]
type = PlaySnd
triggerall = anim = 403
trigger1 = time = 2
value = S22,0 + random%4
channel = 0

[State 400, 1]
type = PlaySnd
triggerall = anim = 403
trigger1 = Time = 1
value = 72, 1

[State 400, 2]
type = HitDef
triggerall = anim = 403
trigger1 = Time = 1
attr = C, NA
damage = 25
animtype = medium
hitflag = MAF
guardflag = M
pausetime = 4,4
sparkno = 0
sparkxy = -10,-55
hitsound   = S50,1
guardsound = S6,4
ground.type = Low
ground.slidetime = 10
ground.hittime = 15 + (25*(numhelper(3101)) )
ground.velocity = -4
air.velocity = -1.5,-3

[State 0, PlaySnd]
type = PlaySnd
triggerall = anim = 404
trigger1 = animelem = 2
value = S73,0
ignorehitpause = 1
[State 0, PosAdd]
type = PosAdd
triggerall = anim = 404
trigger1 = prevstateno = 430
trigger1 = time = 0
x = 10
ignorehitpause = 1
[State 200, 1]
type = HitDef
triggerall = anim = 404
trigger1 = Time = 1
attr = C, NA
damage = 15, 0
animtype = Light
guardflag = M
hitflag = MAF
pausetime = 8, 8
sparkno = 0
sparkxy = -20,-50
hitsound = S52, 0
guardsound = S6, 0
ground.type = low
ground.slidetime = 5
ground.hittime  = 11 + (25*(numhelper(3101)) )
ground.velocity = -6
airguard.velocity = -1.9,-.8
air.type = low
air.velocity = -2.8,-3
air.hittime = 14

;RUG

[State 400, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Crouching strong punch
[Statedef 410]
type    = C
movetype= A
physics = C
juggle  = 6
poweradd= 50
ctrl = 0
anim = 410+random%5
sprpriority = 2
facep2 = 1

[State EKFM]
type = PlaySnd
triggerall = anim = 410
trigger1 = Time = 0
value = S2,5
channel = 0
[State EKFM]
type = PlaySnd
triggerall = anim = 410
trigger1 = Time = 1
value = 0, 0
;This is the first hit, triggered on the 3rd element of animation.
[State EKFM]
type = HitDef
triggerall = anim = 410
trigger1 = AnimElem = 3
attr = C, NA
damage    = 37
animtype  = Medium
hitflag = MAF
guardflag = M
pausetime = 12,12
sparkno = 1
sparkxy = -10,-55
hitsound   = 5,2
guardsound = 6,0
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15 + (25*(numhelper(3101)) )
guard.hittime  = 7
ground.velocity = -4
air.velocity = -3,-4
;This is the second hit, triggered on the 4th element of animation.
[State EKFM]
type = HitDef
triggerall = anim = 410
trigger1 = AnimElem = 4
attr = C, NA
damage    = 36
animtype  = Medium
hitflag = MAF
guardflag = MA
pausetime = 12,12
sparkxy = -10,-83
hitsound   = 5,2
guardsound = 6,0
ground.type = High
ground.slidetime = 12
ground.hittime  = 16 + (25*(numhelper(3101)) )
guard.hittime  = 7
ground.velocity = -7
air.velocity = -3,-4

[State NOAH]
type = PlaySnd
triggerall = anim = 411
trigger1 = time = 0
value = 20,ifelse(random<500,5,6)
channel = 0
ignorehitpause = 1
[State NOAH]
type = PlaySnd
triggerall = anim = 411
trigger1 = Time = 5
value = 70, 2
[State NOAH]
type = Explod
triggerall = anim = 411
trigger1 = animelem = 3
id = 201
anim = 419
pos = 0,0
postype = p1
bindtime = -1
sprpriority = 3
ownpal = 1
removeongethit = 1
ignorehitpause = 1
[State NOAH]
type = PlaySnd
triggerall = anim = 411
trigger1 = animelem = 4
value = 0, 6
[State NOAH]
type = Projectile
triggerall = anim = 411
trigger1 = animelem = 4
ProjID = 418
projanim = 418
projremove = 0
projremovetime = 74
velocity = 0,0
projhits = 5
projmisstime = 8
projpriority = 7
projsprpriority = 30
projedgebound = 0
projstagebound = 0
projheightbound = -350
offset = ifelse(frontedgedist<100,frontedgedist,100),0
postype = p1
attr = S,SP
hitflag = MAF
guardflag = MA
animtype = hard
damage = 16
pausetime = 0,10
sparkno = -1
sparkxy = 0,-40
hitsound = S51,6
guardsound = 6,0
ground.type = High
ground.slidetime = 10
ground.hittime = 10 + (25*(numhelper(3101)) )
air.hittime = 20
ground.velocity = -10
guard.hittime  = 5
air.velocity = -3,10
air.juggle = 2
sprpriority = 10
air.fall = 1
palfx.time = 15
palfx.mul = 100,100,200
palfx.add = 0,0,0

;HEITA
[State voice]
type = PlaySnd
triggerall = anim = 412
trigger1 = time = 0
;trigger1 = random < 500
value = S23,6+random%3
channel = 0
[State 410, 1]
type = PlaySnd
triggerall = anim = 412
trigger1 = Time = 1
value = 70, 3
[State 0, VelAdd]
type = VelAdd
triggerall = anim = 412
trigger1 = time = 1
x = 2.6

[State 410, 2]
type = HitDef
triggerall = !numhelper(3101)
triggerall = anim = 412
trigger1 = (animelemtime(3) >= 0) && (!movecontact)
attr = C, NA
damage  = 50
animtype = up
hitflag = MAF
guardflag = M
pausetime = 12,12
sparkno = 1
sparkxy = -10,-86
hitsound   = S53,3
guardsound = S6,1
ground.type = high
ground.slidetime = 12
ground.hittime  = 18
guard.hittime = 6
ground.velocity = -1.8,-6.2 + ifelse(!var(19),0,-2.72)
air.velocity = -3,-6.5 + ifelse(!var(19),0,-2.72)
fall = 1
[State 410, 2]
type = HitDef
triggerall = numhelper(3101)
triggerall = anim = 412
trigger1 = (animelemtime(3) >= 0) && (!movecontact)
attr = C, NA
damage  = 50
animtype = hard
hitflag = MAF
guardflag = M
pausetime = 12,12
sparkno = 1
sparkxy = -10,-86
hitsound   = S53,3
guardsound = S6,1
ground.type = high
ground.slidetime = 12
ground.hittime  = 30
guard.hittime = 6
ground.velocity = -5.5
air.velocity = -3,-6.5 + ifelse(!var(19),0,-2.72)
fall = 0
;HEITA

;RUG

[State HUEG]
type = Explod
triggerall = anim = 413
trigger1 = movehit = 1
anim = 917
pos = floor(p2dist x + 10),-90
postype = p1
removetime = -2
supermovetime = 65535
pausemovetime = 65535
scale = 2,2
sprpriority = 666
ontop = 1
ownpal = 1
ignorehitpause = 1
persistent = 0
[State 0, ChangeAnim]
type = ChangeAnim
triggerall = anim = 413
trigger1 = movehit = 1
value = 416
elem = animelemno(0)
ignorehitpause = 1
persistent = 0
[State Voice]
type = PlaySnd
triggerall = anim = 413
trigger1 = time = 2
value = S22,9
channel = 0
[State 0, PosAdd]
type = PosAdd
triggerall = anim = 413
trigger1 = animelem = 5
x = 24
[State 400, 1]
type = PlaySnd
triggerall = anim = 413
trigger1 = Time = 1
value = 72, 4

[State 400, 2]
type = HitDef
triggerall = !numhelper(3101)
triggerall = anim = 413
trigger1 = Time = 2
attr = C, NA
damage = 88
animtype = up
hitflag = MAF
guardflag = M
pausetime = 0,0
sparkno = 3
sparkxy = -10,-90
hitsound   = S50,5
guardsound = S6,4
ground.type = Low
ground.slidetime = 4
ground.hittime = 22
ground.velocity = -3,-19
guard.slidetime = 14
guard.velocity = -13
air.velocity = -3,-19
yaccel = .83
fall = 1
fall.recover = 0
envshake.time = 8
envshake.ampl = -7
envshake.freq = 235
[State 400, 2]
type = HitDef
triggerall = numhelper(3101)
triggerall = anim = 413
trigger1 = Time = 2
attr = C, NA
damage = 88
animtype = hard
hitflag = MAF
guardflag = M
pausetime = 0,0
sparkno = 3
sparkxy = -10,-90
hitsound   = S50,5
guardsound = S6,4
ground.type = hard
ground.slidetime = 4
ground.hittime = 30
ground.velocity = -6.6
guard.slidetime = 14
guard.velocity = -13
air.velocity = -3,-19
yaccel = .83
air.fall = 0
fall.recover = 0
envshake.time = 8
envshake.ampl = -7
envshake.freq = 235


;RUG

; OTW

[State 440, 2]
type = PlaySnd
triggerall = anim = 414
trigger1 = Time = 0
value = 1, 7

[State 440, 3]
type = HitDef
triggerall = !numhelper(3101)
triggerall = anim = 414
trigger1 = Time = 1
attr = C, NA
priority = 7
damage    = 100
hitflag = MAFD
guardflag = L
pausetime = 0,12
sparkno = 1
sparkxy = -5,-10
hitsound   = S54,2
guardsound = S6,3
ground.type = Trip
ground.slidetime = 10
ground.hittime  = 15
ground.velocity = -3,-30
air.velocity = -3,-30
guard.velocity = -5
fall = 1
yaccel = 2
[State 440, 3]
type = HitDef
triggerall = numhelper(3101)
triggerall = anim = 414
trigger1 = Time = 1
attr = C, NA
priority = 7
damage    = 100
hitflag = MAFD
guardflag = L
pausetime = 0,12
sparkno = 1
sparkxy = -5,-10
hitsound   = S54,2
guardsound = S6,3
animtype = hard
ground.type = high
ground.slidetime = 10
ground.hittime = 40
ground.velocity = -6.6
air.velocity = -3,-30
guard.velocity = -5
air.fall = 1
yaccel = 2


; OTW

[State 410, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = ifelse(anim=411||anim=413||anim=416,0,11)
ctrl = 1


;---------------------------------------------------------------------------
;Crouching light kick
; CNS difficulty: easy
[Statedef 430]
type    = C
movetype= A
physics = C
juggle  = 5
poweradd= 22
ctrl = 0
anim = 430+random%5
sprpriority = 2
facep2 = 1

[State EKFM]
type = PlaySnd
triggerall = anim = 430
trigger1 = Time = 1
;trigger1 = random < 500
value = S2,2
channel = 0
[State EKFM]
type = PlaySnd
triggerall = anim = 430
trigger1 = Time = 1
value = 0, 0
[State EKFM]
type = HitDef
triggerall = anim = 430
trigger1 = Time = 0
attr = C, NA
damage    = 28
animtype  = Light
hitflag = MAFD
guardflag = L
pausetime = 12,12
sparkno = 0
sparkxy = -10,-8
hitsound   = 5,1
guardsound = 6,0
ground.type = Low
ground.slidetime = 6
ground.hittime  = 10 + (25*(numhelper(3101)) )
guard.hittime  = 5
ground.velocity = -5
air.velocity = -2,-3
down.velocity = -5,0
down.hittime = 20

;HEITA
[State voice]
type = PlaySnd
triggerall = anim = 431
trigger1 = time = 0
;trigger1 = random < 500
value = S23,3+random%3
channel = 0
[State 430, 1]
type = PlaySnd
triggerall = anim = 431
trigger1 = Time = 1
value = 70, 1

[State 430, 2]
type = HitDef
triggerall = anim = 431
trigger1 = time = 1
attr = C, NA
damage = ifelse(fvar(38)<4,22,28)
animtype  = Light
hitflag = MAF
guardflag = L
pausetime = 12,12
sparkno = 0
sparkxy = -10,-8
hitsound   = S53,1
guardsound = S6,1
ground.type = Low
ground.slidetime = 6
ground.hittime = 20 + (25*(numhelper(3101)) )
guard.hittime = 6
ground.velocity = -5
air.velocity = -2,-3
down.velocity = -5,0
down.hittime = 20

;HEITA

;SEGA

[State Voice]
type = PlaySnd
triggerall = anim = 432
trigger1 = time = 2
value = S22,ifelse(random<500,1,2)
channel = 0

[State 400, 1]
type = PlaySnd
triggerall = anim = 432
trigger1 = Time = 1
value = 72, 0

[State 400, 2]
type = HitDef
triggerall = anim = 432
trigger1 = Time = 1
attr = C, NA
damage  = 20
animtype  = Light
hitflag = MAF
guardflag = L
pausetime = 4,4
sparkno = 0
sparkxy = -10,5
hitsound   = S50,2
guardsound = S6,4
ground.type = Low
ground.slidetime = 10
ground.hittime  = 14 + (25*(numhelper(3101)) )
ground.velocity = -7.7
air.velocity = -1.5,-3


;SEGA

; OTW

[State 0, StateTypeSet]
type = StateTypeSet
trigger1 = anim = 433
statetype = A
physics = N
persistent = 0
[State 0, StateTypeSet]
type = VelSet
trigger1 = anim = 433
x = 6
y = -4
persistent = 0
[State 0, ]
type = Gravity
trigger1 = anim = 433
[State 410, 1]
type = PlaySnd
trigger1 = anim = 433
trigger1 = Time = 1
value = 0, 1

[State 410, 2]
type = HitDef
trigger1 = anim = 433
trigger1 = Time = 1
attr = C, NA
priority = 4
damage    = 68
animtype  = Medium
hitflag = MAFPD
guardflag = L
pausetime = 0,0
sparkno = 1
sparkxy = 0,0
hitsound   = S54,1
guardsound = S6,3
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15 + (25*(numhelper(3101)) )
ground.velocity = -4
air.velocity = -2,-4
air.type = trip
air.fall = 1

[State 0, ]
type = VelSet
trigger1 = anim = 433
trigger1 = time >= 5
trigger1 = pos y >= 0
y = 0
ignorehitpause = 1
[State 0, ]
type = PosSet
trigger1 = anim = 433
trigger1 = time >= 5
trigger1 = pos y >= 0
y = 0
ignorehitpause = 1
[State 410, 1]
type = PlaySnd
trigger1 = anim = 433
trigger1 = time >= 5
trigger1 = pos y >= 0
value = 1, 5
[State 410, 4]
type = ChangeState
trigger1 = anim != 433
trigger1 = AnimTime = 0
trigger2 = anim = 433
trigger2 = time >= 5
trigger2 = pos y >= 0
value = ifelse(numhelper(3101)&&anim=433,52,11)
ctrl = (!numhelper(3101)) || anim != 433

; OTW



;SHQ

[State 0, PlaySnd]
type = PlaySnd
trigger1 = anim = 434
trigger1 = time = 1
value = S73,1
ignorehitpause = 1
[State 200, 1]
type = HitDef
trigger1 = anim = 434
trigger1 = Time = 1
attr = C, NA
damage = 28, 0
animtype = Light
guardflag = M
hitflag = MAF
pausetime = 10, 10
sparkno = 0
sparkxy = -10,-54
hitsound = S52, 1
guardsound = S6, 0
ground.type = low
ground.slidetime = 5
ground.hittime = 16 + (25*(numhelper(3101)) )
ground.velocity = -7.6
airguard.velocity = -1.9,-.8
air.type = low
air.velocity = -3,-3.1
air.hittime = 16


;SHQ

;---------------------------------------------------------------------------
;Crouch Strong Kick
; CNS difficulty: easy
; Description: This move uses "Trip" for the "ground.type" parameter in
;     its HitDef. It's a special type that puts the opponent in a tripped
;     animation as he falls. Also, the hitflag parameter in the HitDef
;     is set to "MAFD". The "D" indicates that a downed opponent can be
;     hit by the attack.
; CNS x: 
; ڍ:
[Statedef 440]
type    = C
movetype= A
physics = C
juggle  = 7
poweradd= 70
ctrl = 0
anim = 440+random%5
sprpriority = 2
facep2 = 1

[State EKFM]
type = PlaySnd
triggerall = anim = 440
trigger1 = Time = 0
value = S2,6
channel = 0
[State EKFM]
type = PlaySnd
triggerall = anim = 440
trigger1 = Time = 2
value = 0, 2
[State EKFM]
type = PlaySnd
triggerall = anim = 440
trigger1 = animelem = 3
value = 0, 11
[State EKFM]
type = HitDef
triggerall = !numhelper(3101)
triggerall = anim = 440
trigger1 = Time = 1
attr = C, NA
damage = 78
hitflag = MAFD
guardflag = L
pausetime = 12,12
sparkno = 1
sparkxy = -5,-10
hitsound   = 5,2
guardsound = 6,0
ground.type = Trip
ground.slidetime = 10
ground.hittime  = 15
guard.hittime  = 7
ground.velocity = -1.5,-2
air.velocity = -1.2,-3
guard.velocity = -5
fall = 1
[State TANDEM EKFM]
type = HitDef
triggerall = numhelper(3101)
triggerall = anim = 440
trigger1 = Time = 1
attr = C, NA
damage = 78
hitflag = MAFD
guardflag = L
pausetime = 12,12
sparkno = 1
sparkxy = -5,-10
hitsound   = 5,2
guardsound = 6,0
ground.type = low
ground.slidetime = 10
ground.hittime  = 30
guard.hittime  = 7
ground.velocity = -1.5
air.velocity = -1.2,-3
guard.velocity = -5
fall = 0
air.fall = 1

;ifelse(numhelper(3101),25,15)

;HEITA
[State 440, 2]
type = PlaySnd
triggerall = anim = 442
trigger1 = animelem = 2
trigger2 = animelem = 6
value = 70, 1

[State 0, Width]
type = Width
triggerall = anim = 442
trigger1 = animelemno(0) < 11
value = 22,12
ignorehitpause = 1

[State 0, PosAdd]
type = PosAdd
triggerall = anim = 442
trigger1 = animelem = 2
x = 20
[State 0, PosAdd]
type = PosAdd
triggerall = anim = 442
trigger1 = animelem = 3
trigger2 = animelem = 8
x = 8
[State 0, PosAdd]
type = PosAdd
triggerall = anim = 442
trigger1 = animelem = 5
trigger2 = animelem = 10
trigger3 = animelem = 11
x = 10
[State 0, PosAdd]
type = PosAdd
triggerall = anim = 442
trigger1 = animelem = 6
x = 38
[State 0, PosAdd]
type = PosAdd
triggerall = anim = 442
trigger1 = animelem = 7
x = 36

[State 430, 2]
type = HitDef
triggerall = anim = 442
trigger1 = Time = 1
trigger2 = animelem = 8
attr = C, NA
damage = ifelse(fvar(38)<4,23,28)
animtype  = medium
hitflag = MAFD
guardflag = L
pausetime = 8,8
sparkno = 1
sparkxy = -10,-8
hitsound   = S53,1
guardsound = S6,1
ground.type = Low
ground.slidetime = 6
ground.hittime = 18 + (25*(numhelper(3101)) )
guard.hittime = 6
ground.velocity = -8
air.velocity = -2,-9
down.velocity = -8,0
down.hittime = 20

;HEITA

[State GLAC]
type = VelAdd
triggerall = anim = 441
trigger1 = animelem = 6
trigger2 = animelem = 7
trigger3 = animelem = 8
trigger4 = animelem = 9
trigger5 = animelem = 10
trigger6 = animelem = 11
x = 1

[State GLAC]
type = HitDef
triggerall = anim = 441
trigger1 = AnimElem = 6
trigger2 = AnimElem = 8
attr = C, NA
damage = 49/(hitcount+1), 0
animtype = hard
guardflag = MA
hitflag = MAF
pausetime = 0, 0
sparkno = 2
sparkxy = -10, -106
hitsound = S50, 4
guardsound = S6, 4
ground.type = High
ground.slidetime = 5
ground.hittime = 23 + (25*(numhelper(3101)) )
guard.hittime = 3
ground.velocity = -7
airguard.velocity = -1.9,-.8
air.type = High
air.velocity = -6,-2.8
air.hittime = 19
envshake.time = 8
envshake.ampl = -7
envshake.freq = 235

[State GLAC]
type = PlaySnd
triggerall = anim = 441
trigger1 = animelem = 5
value = 71, 6+random%3
[State GLAC]
type = PlaySnd
triggerall = anim = 441
trigger1 = animelem = 5
value = S21,4+random%4
channel = 0
ignorehitpause = 1


; SEGA

[State Voice]
type = PlaySnd
triggerall = anim = 443
trigger1 = time = 2
value = S22,0 + random%4
channel = 0

[State 400, 1]
type = PlaySnd
triggerall = anim = 443
trigger1 = Time = 1
value = 72, 2

[State 400, 2]
type = HitDef
triggerall = !numhelper(3101)
triggerall = anim = 443
trigger1 = Time = 1
attr = C, NA
damage = 67
animtype  = hard
hitflag = MAF
guardflag = L
pausetime = 8,8
sparkno = 1
sparkxy = -10,-7
hitsound   = S50,4
guardsound = S6,4
ground.type = trip
ground.slidetime = 10
ground.hittime = 20
ground.velocity = -2.4,-7.5
air.velocity = -2.4,-7.5
guard.velocity = -7
fall = 1
yaccel = .66
envshake.time = 8
envshake.ampl = -6
envshake.freq = 205
[State TANDEM 400, 2]
type = HitDef
triggerall = numhelper(3101)
triggerall = anim = 443
trigger1 = Time = 1
attr = C, NA
damage = 67
animtype  = hard
hitflag = MAF
guardflag = L
pausetime = 8,8
sparkno = 1
sparkxy = -10,-7
hitsound   = S50,4
guardsound = S6,4
ground.type = low
ground.slidetime = 10
ground.hittime = 20
ground.velocity = -4.5
air.velocity = -2.4,-7.5
guard.velocity = -7
fall = 0
air.fall = 1
yaccel = .66
envshake.time = 8
envshake.ampl = -6
envshake.freq = 205


;SEGA

; SHQ

[State 0, PosAdd]
type = PosAdd
triggerall = anim = 444
trigger1 = animtime = 0
x = 8
ignorehitpause = 1
[State 0, PlaySnd]
type = PlaySnd
triggerall = anim = 444
trigger1 = animelem = 6
value = S73,3
ignorehitpause = 1
[State 200, 1]
type = HitDef
triggerall = !numhelper(3101)
triggerall = anim = 444
trigger1 = Time = 1
attr = C, NA
damage = 55, 0
animtype = hard
guardflag = L
hitflag = MAFD
pausetime = 12, 12
sparkno = 1
sparkxy = -20,-32
hitsound = S52, 3
guardsound = S6, 0
ground.type = trip
ground.slidetime = 5
ground.hittime = 19
ground.velocity = -3,-2
air.type = trip
air.velocity = -1.4,-4
air.hittime = 19
fall = 1
[State 200, 1]
type = HitDef
triggerall = numhelper(3101)
triggerall = anim = 444
trigger1 = Time = 1
attr = C, NA
damage = 55, 0
animtype = hard
guardflag = L
hitflag = MAFD
pausetime = 12, 12
sparkno = 1
sparkxy = -20,-32
hitsound = S52, 3
guardsound = S6, 0
ground.type = low
ground.slidetime = 5
ground.hittime = 22
ground.velocity = -4.5
air.type = trip
air.velocity = -1.4,-4
air.hittime = 19
air.fall = 1


; SHQ

[State 440, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Jump Light Punch
; CNS difficulty: easy
[Statedef 600]
type    = A
movetype= A
physics = A
juggle  = 2
poweradd= 11
ctrl = 0
anim = 600+random%5
sprpriority = 2

[State EKFM]
type = PlaySnd
triggerall = anim = 600
trigger1 = Time = 1
value = 0, 0
[State EKFM]
type = HitDef
triggerall = anim = 600
trigger1 = Time = 1
attr = A, NA
damage    = 20
guardflag = HA
priority = 3
pausetime = 7,8
sparkno = 0
sparkxy = -10,-58
hitsound   = 5,0
guardsound = 6,0
ground.type = High
ground.slidetime = 5
ground.hittime  = 5
ground.velocity = -4
air.velocity = -1.3,-3

;HEITA
[State voice]
type = PlaySnd
triggerall = anim = 602
trigger1 = time = 0
;trigger1 = random < 500
value = S23,3+random%3
channel = 0
[State 600, 1]
type = PlaySnd
triggerall = anim = 602
trigger1 = Time = 1
value = 70, 1

[State 600, 2]
type = HitDef
triggerall = anim = 602
trigger1 = Time = 1
attr = A, NA
damage  = ifelse(fvar(38)<4,32,40)
guardflag = HA
priority = 3
pausetime = 7,8
sparkno = 0
sparkxy = -10,-90
hitsound   = S53,1
guardsound = S6,1
ground.type = High
ground.slidetime = 16
ground.hittime  = 16
guard.hittime = 6
ground.velocity = -5.5
air.velocity = -3,-3
;HEITA

;GLAC
[State 0, PlaySnd]
type = PlaySnd
triggerall = anim = 601
trigger1 = time = 1
value = S21,random%4
channel = 0
ignorehitpause = 1
[State 0, VelMul]
type = VelMul
triggerall = anim = 601
trigger1 = vel x > 0
trigger1 = movecontact = 1
x = 0.65
ignorehitpause = 1
persistent = 0

[State 600, 1]
type = PlaySnd
triggerall = anim = 601
trigger1 = Time = 1
value = 71, random%3

[State 600, 2]
type = HitDef
triggerall = anim = 601
trigger1 = Time = 1
attr = A, NA
animtype = light
damage = 22
guardflag = HA
pausetime = 4,4
sparkno = 0
sparkxy = -10,-55
hitsound   = S50,1
guardsound = S6,4
ground.type = High
ground.slidetime = 5
ground.hittime = 24
ground.velocity = -2
air.velocity = -1.8,-1

;GLAC

;SEGAL
[State 0, VelSet]
type = VelSet
triggerall = anim = 603 || anim = 602
trigger1 = numtarget
trigger1 = time = 1
trigger1 = prevstateno = [600,649]
trigger1 = p2statetype = A
trigger1 = p2movetype = H
x = ifelse(abs(p2bodydist x / 8)>=4,4,abs(p2bodydist x / 8))
y = -4

[State 600, 1]
type = PlaySnd
triggerall = anim = 603
trigger1 = Time = 1
value = 72, 0

[State Voice]
type = PlaySnd
triggerall = anim = 603
trigger1 = time = 2
value = S22,0 + random%4
channel = 0

[State 600, 2]
type = HitDef
triggerall = anim = 603
trigger1 = Time = 1
animtype = light
attr = A, NA
damage  = floor(26 / ifelse((prevstateno=[600,699]),2,1) )
guardflag = HA
pausetime = 3,4
sparkno = 0
sparkxy = -10,-102
hitsound   = S50,0
guardsound = S6,4
ground.type = High
ground.slidetime = 5
ground.hittime = 12
ground.velocity = -4
air.velocity = -1.3,-3

;SEGAL

; OTW

[State 600, 1]
type = PlaySnd
trigger1 = anim = 604
trigger1 = timemod = 5,2
value = 1, 6

[State 0, Projectile]
type = Projectile
trigger1 = anim = 604
trigger1 = timemod = 5,2
ProjID = 609
projanim = 609
;projhitanim = 225
;projremanim =
;projcancelanim =
projscale = 0.5,0.5
projremove = 1
velocity = 6,(P2Dist Y * 4) / (Exp(0.5*ln((P2Dist X * P2Dist X) + (P2Dist Y * P2Dist Y))))
projhits = 1
projpriority = 1
projsprpriority = 3
projedgebound = 40
projstagebound = 40
projheightbound = -240
offset = 0,-64
postype = p1
attr = S,NP
hitflag = MAF
guardflag = MA
animtype = light
priority = 2,Hit
damage = 9,0
sparkno = 0
sparkxy = 0,0
hitsound = S54,0
guardsound = S6,3
ground.type = High
air.type = Low
ground.slide = 2
ground.hittime = 4
ground.velocity = -4
air.velocity = -2,-3
air.juggle = 1
sprpriority = 2
getpower = 3
givepower = 6


; OTW

[State 600, 3]
type = CtrlSet
trigger1 = Time = 17
value = 1

[State Too lazy to add respective jumpfall anims]
type = ChangeState
trigger1 = anim = 602 || anim = 603
trigger1 = animtime = 0
value = 50
ctrl = 1

;---------------------------------------------------------------------------
;Jump Strong Punch
; CNS difficulty: easy
[Statedef 610]
type    = A
movetype= A
physics = A
juggle  = 4
poweradd= 65
ctrl = 0
anim = 610+random%5
sprpriority = 2

[State EKFM]
type = PlaySnd
triggerall = anim = 610
trigger1 = Time = 2
value = 0, 1
[State EKFM]
type = HitDef
triggerall = anim = 610
trigger1 = Time = 1
attr = A, NA
damage = 72
guardflag = HA
priority = 4
pausetime = 12,12
sparkno = 1
sparkxy = -10,-55
hitsound   = 5,3
guardsound = 6,0
animtype = Med
ground.type = High
ground.slidetime = 17
ground.hittime  = 19
guard.hittime  = 7
ground.velocity = -5
air.velocity = -3,-4

;HEITA
[State voice]
type = PlaySnd
triggerall = anim = 612
trigger1 = time = 0
;trigger1 = random < 500
value = S23,6+random%3
channel = 0

[State 610, 2]
type = PlaySnd
triggerall = anim = 612
trigger1 = animelem = 2
value = 70, 1

[State 610, 3]
type = HitDef
triggerall = anim = 612
trigger1 = Time = 1
attr = A, NA
damage = ifelse(fvar(38)<4,50,68)
guardflag = HA
priority = 4
pausetime = 12,12
sparkno = 1
sparkxy = -10,-6
hitsound   = S53,3
guardsound = S6,1
animtype = hard
ground.type = High
ground.slidetime = 17
ground.hittime  = 20
guard.hittime = 6
ground.velocity = -6
air.velocity = -3,7
fall.yvelocity = -9
air.fall = 1

;HEITA

;GLAC
[State 0, PlaySnd]
type = PlaySnd
triggerall = anim = 611
trigger1 = time = 0
value = S21,4+random%4
channel = 0
ignorehitpause = 1

[State 0, VelMul]
type = VelMul
triggerall = anim = 611
trigger1 = vel x > 0
trigger1 = movecontact = 1
x = 0.65
ignorehitpause = 1
persistent = 0

[State 600, 1]
type = PlaySnd
triggerall = anim = 611
trigger1 = Time = 4
value = 71, 6+random%3
[State 600, 2]
type = HitDef
triggerall = anim = 611
trigger1 = Time = 1
attr = A, NA
animtype = hard
damage = 50
guardflag = HA
pausetime = 4,4
sparkno = 2
sparkxy = -10,-42
hitsound   = S50,4
guardsound = S6,4
ground.type = High
ground.slidetime = 5
ground.hittime  = 24
ground.velocity = -4.2
air.velocity = -1.8,-1
envshake.time = 8
envshake.ampl = -7
envshake.freq = 235

;GLAC

;SEGAL
[State 0, VelSet]
type = VelSet
triggerall = anim = 613 || anim = 612
trigger1 = numtarget
trigger1 = time = 1
trigger1 = prevstateno = [600,649]
trigger1 = p2statetype = A
trigger1 = p2movetype = H
x = ifelse(abs(p2bodydist x / 8)>=4,4,abs(p2bodydist x / 8))
y = -4

[State Voice]
type = PlaySnd
triggerall = anim = 613
trigger1 = time = 2
value = S22,4 + random%4
channel = 0

[State 600, 1]
type = PlaySnd
triggerall = anim = 613
trigger1 = Time = 1
value = 72, 3

[State 600, 2]
type = HitDef
triggerall = anim = 613
trigger1 = Time = 1
animtype = hard
attr = A, NA
damage  = floor(68 / ifelse((prevstateno=[600,699]),2,1) )
guardflag = HA
pausetime = 7,8
sparkno = 2
sparkxy = -10,-50
hitsound   = S50,5
guardsound = S6,4
ground.type = High
ground.slidetime = 12
ground.hittime = 18
ground.velocity = -9
air.velocity = -2.5,3
air.fall = 1
envshake.time = 8
envshake.ampl = -7
envshake.freq = 235

;SEGAL

; OTW

[State 0, ]
type = StateTypeSet
trigger1 = anim = 614
physics = N
ignorehitpause = 1
persistent = 0
[State 0, ]
type = VelSet
trigger1 = anim = 614
x = 0
y = 0
ignorehitpause = 1
persistent = 0
[State 0, ]
type = EnvShake
trigger1 = anim = 614
trigger1 = time = 0
time = 20
freq = 120
ignorehitpause = 1
[State 610, 2]
type = PlaySnd
trigger1 = anim = 614
trigger1 = Time = 0
value = 1, 9
[State 0, ]
type = StateTypeSet
trigger1 = anim = 614
trigger1 = animelem = 12
movetype = I
physics = A
ignorehitpause = 1
[State 610, 3]
type = HitDef
trigger1 = anim = 614
trigger1 = Time = 0
animtype = Hard
attr = A, NA
damage = 100
guardflag = HA
priority = 7
pausetime = 0,0
sparkno = 1
sparkxy = -10,-55
hitsound   = S54,3
guardsound = S6,3
animtype = High
ground.type = High
ground.slidetime = 17
ground.hittime  = 17
ground.velocity = -30,10
air.velocity = -7,30
fall = 1


; OTW

[State Too lazy to add respective jumpfall anims]
type = ChangeState
trigger1 = anim = 612
trigger1 = animtime = 0
value = 50
ctrl = 1

;---------------------------------------------------------------------------
;Jump Light Kick
; CNS difficulty: easy
[Statedef 630]
type    = A
movetype= A
physics = A
juggle  = 3
poweradd= 20
ctrl = 0
anim = 630+random%4
sprpriority = 2

;[State FISH]
;type = PosAdd
;trigger1 = anim = 632
;trigger1 = time = 0
;y = -32


[State EKFM]
type = PlaySnd
triggerall = anim = 630
trigger1 = Time = 1
value = 0, 0
[State EKFM]
type = HitDef
triggerall = anim = 630
trigger1 = Time = 1
attr = A, NA
damage = 26
guardflag = HA
priority = 3
pausetime = 8,8
sparkno = 1
sparkxy = -5,-35
hitsound   = 5,0
guardsound = 6,0
ground.type = High
ground.slidetime = 6
ground.hittime  = 6
guard.hittime  = 3
ground.velocity = -4
air.velocity = -2,-3

;HEITA
[State voice]
type = PlaySnd
triggerall = anim = 631
trigger1 = time = 0
;trigger1 = random < 500
value = S23,0+random%3
channel = 0

[State 630, 1]
type = PlaySnd
triggerall = anim = 631
trigger1 = Time = 1
value = 70, 0

[State 630, 2]
type = HitDef
triggerall = anim = 631
trigger1 = Time = 1
attr = A, NA
damage = ifelse(fvar(38)<4,22,28)
guardflag = HA
priority = 3
pausetime = 8,8
sparkno = 1
sparkxy = -5,-19
hitsound   = S53,0
guardsound = S6,1
ground.type = High
ground.slidetime = 6
ground.hittime  = 15
guard.hittime = 6
ground.velocity = -4
air.velocity = -2,-4.5

;HEITA

;FISH
[State 0, StateTypeSet]
type = StateTypeSet
trigger1 = anim = 632
statetype = A
physics = N
ignorehitpause = 1
persistent = 0

[State 0, ]
type = VelSet
trigger1 = anim = 632
trigger1 = time = 0
x = 3.5

[State 0, ]
type = VelMul
trigger1 = anim = 632
trigger1 = vel x != 3.5
x = 0.88
ignorehitpause = 1

[State 0, ]
type = VelMul
trigger1 = anim = 632
y = 0.88
ignorehitpause = 1
[State 0, ]
type = PlaySnd
trigger1 = anim = 632
trigger1 = time = 0
value = 0,0
ignorehitpause = 1

[State 200, 1]
type = HitDef
trigger1 = anim = 632
trigger1 = time = 1
attr = A, NA
damage = 68, 0
animtype = medium
guardflag = MA
hitflag = MAF
pausetime = 0, 0
sparkno = 2
sparkxy = 0,-64
hitsound = S51, ifelse(random<500,0,1)                  ;Sound to play on hit
guardsound = S6, 0
ground.type = High
ground.slidetime = 14
ground.hittime  = 30
guard.slidetime = 7
guard.hittime  = 15
ground.velocity = -5
airguard.velocity = -1.9,-.8
air.type = High
air.velocity = -1.4
air.hittime = 28


;[State 0, PosAdd]
;type = PosAdd
;trigger1 = anim = 632
;trigger1 = animtime = 0
;y = 32
[State 0, ChangeState]
type = ChangeState
trigger1 = anim = 632 || anim = 631
trigger1 = animtime = 0
value = 50
ctrl = 1

;FISH

;SEGAL
[State 0, VelSet]
type = VelSet
triggerall = anim = 633
trigger1 = numtarget
trigger1 = time = 0
trigger1 = prevstateno = [600,649]
trigger1 = p2statetype = A
trigger1 = p2movetype = H
x = (target,vel x) * -1.20
y = -4.1

[State Voice]
type = PlaySnd
triggerall = anim = 633
trigger1 = time = 2
value = S22,0 + random%4
channel = 0

[State 600, 1]
type = PlaySnd
triggerall = anim = 633
trigger1 = Time = 1
value = 72, 0

[State 600, 2]
type = HitDef
triggerall = anim = 633
trigger1 = Time = 1
animtype = medium
attr = A, NA
damage = floor(25 / ifelse((prevstateno=[600,699]),2,1) )
guardflag = HA
pausetime = 7,8
sparkno = 0
sparkxy = -10,-69
hitsound   = S50,2
guardsound = S6,0
ground.type = High
air.type = low
ground.slidetime = 8
ground.hittime = 16
ground.velocity = -5
air.velocity = -1.2,-5

;SEGAL

;---------------------------------------------------------------------------
;Jump Strong Kick
; CNS difficulty: easy
[Statedef 640]
type    = A
movetype= A
physics = A
juggle  = 4
poweradd= 65
ctrl = 0
anim = 640+random%5
sprpriority = 2

[State EKFM]
type = PlaySnd
triggerall = anim = 640
trigger1 = Time = 2
value = 0, 1
[State EKFM]
type = HitDef
triggerall = anim = 640
trigger1 = Time = 1
attr = A, NA
damage    = 70
guardflag = HA
priority = 4
pausetime = 12,12
sparkno = 1
sparkxy = -10,-40
hitsound   = 5,3
guardsound = 6,0
animtype = Med
ground.type = High
ground.slidetime = 15
ground.hittime  = 17
guard.hittime  = 7
ground.velocity = -5
air.velocity = -3,-4

;HEITA

[State voice]
type = PlaySnd
triggerall = anim = 642
trigger1 = time = 0
;trigger1 = random < 500
value = S23,3+random%3
channel = 0

[State 640, 2]
type = PlaySnd
triggerall = anim = 642
trigger1 = Time = 2
value = 70, 1

[State 640, 3]
type = HitDef
triggerall = anim = 642
trigger1 = Time = 1
attr = A, NA
damage    = 65
guardflag = HA
pausetime = 12,12
sparkno = 1
sparkxy = -10,-49
hitsound   = S53,3
guardsound = S6,1
animtype = Med
ground.type = High
ground.slidetime = 19
ground.hittime  = 19
guard.hittime = 6
ground.velocity = -6.8
air.velocity = -3,-2
ground.velocity = -7.3
air.velocity = -4.2,-5
air.fall = 1


;HEITA

;NOAH

[State 0, ]
type = PlaySnd
triggerall = anim = 643
trigger1 = time = 0
;trigger1 = random < 500
value = 20,ifelse(random<500,3,4)
channel = 0
ignorehitpause = 1

[State 600, 1]
type = PlaySnd
triggerall = anim = 643
trigger1 = Time = 1
value = 70, 1

[State 600, 2]
type = HitDef
triggerall = anim = 643
trigger1 = animelem = 3
trigger1 = !var(19)
attr = A, NA
damage    = 50
guardflag = HA
pausetime = 0,0
guard.pausetime = 8,8
sparkno = 1
sparkxy = -10,-6
hitsound   = S51,6
guardsound = 6,0
ground.type = High
ground.slidetime = 24
ground.hittime  = 24
ground.velocity = -10
air.velocity = -2,-4
[State 600, 2]
type = HitDef
triggerall = anim = 643
trigger1 = animelem = 3
trigger1 = var(19)
attr = A, NA
damage    = 60
guardflag = HA
pausetime = 12,16
guard.pausetime = 8,8
sparkno = 1
sparkxy = -10,-6
hitsound   = S51,6
guardsound = 6,0
ground.type = High
ground.slidetime = 20
ground.hittime  = 30
ground.velocity = -11
air.velocity = -2,-4


;NOAH

;SEGAL
[State 0, VelSet]
type = VelSet
triggerall = anim = 641 || anim = 642
trigger1 = numtarget
trigger1 = time = 1
trigger1 = prevstateno = [600,649]
trigger1 = p2statetype = A
trigger1 = p2movetype = H
x = ifelse(abs(p2bodydist x / 8)>=4,4,abs(p2bodydist x / 8))
y = -3.5

[State Voice]
type = PlaySnd
triggerall = anim = 641
trigger1 = time = 2
value = S22,4 + random%4
channel = 0

[State 600, 1]
type = PlaySnd
triggerall = anim = 641
trigger1 = Time = 1
value = 72, 2

[State 600, 2]
type = HitDef
triggerall = anim = 641
trigger1 = Time = 1
attr = A, NA
damage = floor(60 / ifelse((prevstateno=[600,699]),2,1) )
guardflag = HA
pausetime = 7,8
sparkno = 1
sparkxy = -10,-31
hitsound   = S50,4
guardsound = S6,4
ground.type = High
ground.slidetime = 12
ground.hittime = 19
ground.velocity = -8
air.velocity = -1.3,-3
envshake.time = 8
envshake.ampl = -6
envshake.freq = 205

[State 600, 3]
type = CtrlSet
triggerall = anim = 641
trigger1 = Time = 20
value = 1

;SEGAL

; SKULL


[State 0, StateTypeSet]
type = StateTypeSet
triggerall = anim = 644
trigger1 = time = 0
physics = N
;[State 0, VelSet]
;type = VelSet
;triggerall = anim = 644
;trigger1 = time = 0
;trigger1 = abs(vel y)>4
;y = ifelse(vel y>0,4,-4)
[State 0, VelSet]
type = VelSet
triggerall = anim = 644
trigger1 = time = 18
y = 6.5

[State 0, ]
type = PlaySnd
triggerall = anim = 644
trigger1 = time = 1
value = 0,12
persistent = 0

[State 630, 2]
type = HitDef
triggerall = anim = 644
trigger1 = time = 1
attr = A, NA
damage = 70
guardflag = HA
pausetime = 12,12
sparkno = 1
sparkxy = -5,-25
hitsound   = S55,1
guardsound = S6,5
ground.type = High
ground.slidetime = 8
ground.hittime  = 22
ground.velocity = -5
air.velocity = -2,-3
persistent = 0
air.fall = 1


; SKULL

[State Too lazy to add respective jumpfall anims]
type = ChangeState
trigger1 = anim = 641 || anim = 642
trigger1 = animtime = 0
value = 50
ctrl = 1
[State Too lazy to add respective jumpfall anims]
type = ChangeState
trigger1 = anim = 644
trigger1 = vel y + pos y >= 0
value = 52
ctrl = 0

;---------------------------------------------------------------------------
;Kung Fu Throw - Attempt
; CNS difficulty: medium-advanced
; Description: Throws are not difficult to make, although then can be
;     tedious at times. Throw attempt states have a HitDef of a
;     special format. The key parameters in a throw are p1stateno
;     and p2stateno. If the HitDef successfully connects, then
;     the attacker will change to the state number specified by
;     p1stateno, and the opponent will be change to the state
;     number assigned to p2stateno. The special thing about p2stateno
;     is that the opponent will be temporarily brought into the
;     attacker's state file. In this case, no matter who the
;     opponent is, he will be taken to state 820 of this file (kfm.cns)
;     and remain here until the end of the throw (look at his debug
;     information when he is being thrown; the text changes to yellow
;     to mean that he is in another player's state file).
[Statedef 800]
type    = S
movetype= A
physics = S
juggle  = 0
velset = 0,0
ctrl = 0
anim = ifelse(var(28)>0,860,800)
sprpriority = 2
facep2 = 1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelem = 4
value = S2,180+random%2
channel = 0

[State 0, Explod]
type = Explod
trigger1 = animelem = 4
anim = 868
pos = 0,0
postype = p1
facing = 1
vfacing = 1
bindtime = 6
removetime = -2
scale = 1,1
sprpriority = 8
ownpal = 1
removeongethit = 1

; Notes: The '-' symbol in the hitflag field means that it only affects
;   players who are not in a hit state. This prevents KFM from combo-ing
;   into the throw. The priority should be set to a low number, such as
;   1 or 2, so that the throw does not take precedence over normal attacks.
;   The type of priority must always be set to "Miss" or "Dodge" for throws,
;   otherwise strange behavior can result.
[State 800, 1]
type = HitDef
trigger1 = var(8) <= 0
Trigger1 = Time = 0
attr = S, NT          ;Attributes: Standing, Normal Throw
hitflag = M-          ;Affect only ground people who are not being hit
priority = 1, Miss    ;Throw has low priority, must be miss or dodge type.
sparkno = -1          ;No spark
sprpriority = 1       ;Draw in front of p2
p1facing = 1
p2facing = 1          ;Force p2 to face KFM
p1stateno = ifelse(anim=860,861,810)
p2stateno = ifelse(anim=860,862,820)
guard.dist = 0        ;This prevents p2 from going into a guard state if close
fall = 1              ;Force p2 into falling down

[State 800, 2]
type = ChangeState
Trigger1 = AnimTime = 0
value = ifelse(anim=860,0,210)
ctrl = ifelse(anim=860,1,0)

;---------------------------------------------------------------------------
;Kung Fu Throw - Throwing the opponent
[Statedef 810]
type    = S
movetype= A
physics = N
anim = 810
poweradd = 60

[State 0, ]
type = TargetBind
trigger1 = Time = 0
time = 1
pos = 62,0
ignorehitpause = 1

[State 0, ]
type = VarRandom
trigger1 = 1
v = 0
range = 0,3

[State 0, ]
type = VarRandom
trigger1 = 1
v = 5
range = -44,44

[State 0, ]
type = VarRandom
trigger1 = 1
v = 6
range = -120,-20

[State 810, Grab Sound]
type = PlaySnd
trigger1 = Time = 2
trigger2 = Time = 5
trigger3 = Time = 6
trigger4 = Time = 10
trigger5 = Time = 11
trigger6 = Time = 12
trigger7 = Time = 15
trigger8 = Time = 17
trigger9 = Time = 19
trigger10 = Time = 21
trigger11 = Time = 27
trigger12 = Time = 29
trigger13 = Time = 30
trigger14 = Time = 35
value = F5,random%5

[State 810, Hurt 11]
type = TargetLifeAdd
trigger1 = Time = 2
trigger2 = Time = 5
trigger3 = Time = 6
trigger4 = Time = 10
trigger5 = Time = 11
trigger6 = Time = 12
trigger7 = Time = 15
trigger8 = Time = 17
trigger9 = Time = 19
trigger10 = Time = 21
trigger11 = Time = 27
trigger12 = Time = 29
trigger13 = Time = 30
value = -7
absolute = 1
kill = 0

[State 810, Hurt 11]
type = TargetLifeAdd
trigger1 = Time = 35
value = -18
absolute = 1

[State 0, ]
type = HitAdd
trigger1 = Time = 2
trigger2 = Time = 5
trigger3 = Time = 6
trigger4 = Time = 10
trigger5 = Time = 11
trigger6 = Time = 12
trigger7 = Time = 15
trigger8 = Time = 17
trigger9 = Time = 19
trigger10 = Time = 21
trigger11 = Time = 27
trigger12 = Time = 29
trigger13 = Time = 30
trigger14 = Time = 35
value = 1

[State 0, ]
type = Explod
trigger1 = Time = 2
trigger2 = Time = 5
trigger3 = Time = 6
trigger4 = Time = 10
trigger5 = Time = 11
trigger6 = Time = 12
trigger7 = Time = 15
trigger8 = Time = 17
trigger9 = Time = 19
trigger10 = Time = 21
trigger11 = Time = 27
trigger12 = Time = 29
trigger13 = Time = 30
trigger14 = Time = 35
anim = F var(0)
pos = var(5),var(6)
postype = p2
facing = 1
vfacing = 1
bindtime = -1
ontop = 1
ownpal = 1
ignorehitpause = 1
persistent = 1

[State 810, Throw 11]
type = TargetState
trigger1 = Time = 50
value = 821

[State 0, ]
type = EnvColor
trigger1 = Time = [0,52]
value = 0,0,0
time = 1
ignorehitpause = 1
persistent = 1

[State 810, State End]
type = ChangeState
trigger1 = Time >= 53
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Thrown by Kung Fu Throw
; (a custom gethit state)
; Description: This is the state that the opponent changes to after being
;     hit by KFM's throw HitDef. The important thing here is to use a
;     ChangeAnim2 controller. The difference between ChangeAnim2 and
;     ChangeAnim is that ChangeAnim2 changes the player's animation to
;     an action in the AIR file of the attacker (in this case, kfm.air),
;     whereas ChangeAnim always changes the player to an action in his
;     own AIR file. Look at Action 820 in kfm.air for some extra
;     comments.
[Statedef 820]
type    = A
movetype= H
physics = N
velset = 0,0

[State which makes the move also damage the Rox Howard Clone hehe ;)]
type = Varadd
Trigger1 = Time = 0
trigger1 = ishelper
v = 10
value = 666

[State 820, 1]
type = ChangeAnim2
Trigger1 = Time = 0
value = 820

;In case attacker loses binding on player for any reason, this controller
;guarantees that the player will never get stuck in this thrown state.
[State 820, 2]
type = SelfState
trigger1 = time>80;!gethitvar(isbound);
value = 5050

;---------------------------------------------------------------------------
;Thrown by Kung Fu Throw - thrown into the air
; (a custom gethit state)
; Description: This state has the opponent flying through the air and
;     falling down onto the ground. The SelfState controller sets the
;     opponent back using to his own state file when he his the ground.
;     Controllers 821,2 and 821,3 allow the opponent to recover by
;     hitting his recovery command when he is falling.
[Statedef 821]
type    = A
movetype= H
physics = N
velset = 0,0
poweradd = 40

[State 821, 4] ;Hit ground
type = SelfState
trigger1 = 1
value = 5110 ;Hit ground

;---------------------------------------------------------------------------
;Kung Fu Throw - Attempt
; CNS difficulty: medium-advanced
; Description: Throws are not difficult to make, although then can be
;     tedious at times. Throw attempt states have a HitDef of a
;     special format. The key parameters in a throw are p1stateno
;     and p2stateno. If the HitDef successfully connects, then
;     the attacker will change to the state number specified by
;     p1stateno, and the opponent will be change to the state
;     number assigned to p2stateno. The special thing about p2stateno
;     is that the opponent will be temporarily brought into the
;     attacker's state file. In this case, no matter who the
;     opponent is, he will be taken to state 820 of this file (kfm.cns)
;     and remain here until the end of the throw (look at his debug
;     information when he is being thrown; the text changes to yellow
;     to mean that he is in another player's state file).
[Statedef 830]
type    = S
movetype= A
physics = S
juggle  = 0
velset = 0,0
ctrl = 0
anim = ifelse(var(28)>0,860,800)
sprpriority = 2
facep2 = 1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelem = 4
value = S2,180+random%2
channel = 0

[State 0, Explod]
type = Explod
trigger1 = animelem = 4
anim = 868
pos = 0,0
postype = p1
facing = 1
vfacing = 1
bindtime = 6
removetime = -2
scale = 1,1
sprpriority = 8
ownpal = 1
removeongethit = 1

; Notes: The '-' symbol in the hitflag field means that it only affects
;   players who are not in a hit state. This prevents KFM from combo-ing
;   into the throw. The priority should be set to a low number, such as
;   1 or 2, so that the throw does not take precedence over normal attacks.
;   The type of priority must always be set to "Miss" or "Dodge" for throws,
;   otherwise strange behavior can result.
[State 800, 1]
type = HitDef
trigger1 = var(8) <= 0
Trigger1 = Time = 0
attr = S, NT          ;Attributes: Standing, Normal Throw
hitflag = M-          ;Affect only ground people who are not being hit
priority = 1, Miss    ;Throw has low priority, must be miss or dodge type.
sparkno = -1
sprpriority = 1       ;Draw in front of p2
p1facing = 1
p2facing = 1          ;Force p2 to face KFM
p1stateno = ifelse(anim=860,861,840)
p2stateno = ifelse(anim=860,862,850)
guard.dist = 0        ;This prevents p2 from going into a guard state if close
fall = 1              ;Force p2 into falling down
fall.recover = 0

[State 800, 2]
type = ChangeState
Trigger1 = AnimTime = 0
value = ifelse(anim=860,0,240)
ctrl = ifelse(anim=860,1,0)

[Statedef 840]
type    = S
movetype= A
physics = S
anim = 840
velset = 0,0

[State 0, Explod]
type = Explod
trigger1 = time = 0
anim = F3
pos = 0,-64
postype = p1
bindtime = 1
supermovetime = 65535
pausemovetime = 65535
scale = 1,1
sprpriority = 65535
ontop = 1
ownpal = 1

[State 0, ]
type = Helper
trigger1 = animelem = 2
helpertype = normal
name = "Bubble"
ID = 840
pos = 17,-62
stateno = 841
ownpal = 1

[State 0, ]
type = VelMul
trigger1 = 1
x = 0.88
y = 0.88
ignorehitpause = 1

[State 810, Grab Sound]
type = PlaySnd
trigger1 = Time = 0
value = 51, 4

[State 810, Throw Sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, 29

[State 810, Bind 1]
type = TargetBind
trigger1 = AnimElemTime(2) <= 0
pos = 0, 99999

[State 810, Hurt 11]
type = TargetLifeAdd
trigger1 = AnimElem = 2
value = -95

[State 810, Throw 11]
type = TargetState
trigger1 = AnimElem = 2
value = 851

[State 810, State End]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
[Statedef 841]
type    = A
movetype= A
physics = N
ctrl = 0
anim = 841
sprpriority = 8
velset = 0,-2

[State 0, ]
type = AssertSpecial
trigger1 = 1
flag = noshadow
[State 200, 1]
type = HitDef
trigger1 = time = 1
attr = A, NP
damage = 15, 0
animtype = Light
guardflag = MA
hitflag = MA-
pausetime = 0, 4
sparkno = 0
sparkxy = 0,0
hitsound = 5,0
guardsound = S6, 0
ground.type = High
ground.slidetime = 10
ground.hittime  = 10
ground.velocity = -1
air.type = High
air.velocity = -1,-1
air.hittime = 14
air.fall = 1

[State 0, ]
type = AttackMulSet
trigger1 = 1
value = ifelse(p2statetype=A,2,1)

[State 0, ]
type = VarRandom
trigger1 = time = 0
v = 0
range = 20,200

[State 0, ]
type = ChangeAnim
trigger1 = time >= 20
trigger1 = time >= var(0)
trigger2 = movecontact
value = 842
ctrl = 0

[State 0, StateTypeSet]
type = StateTypeSet
trigger1 = anim = 842
statetype = A
movetype = I
physics = N
ignorehitpause = 1
persistent = 0

[State 0, ]
type = DestroySelf
trigger1 = anim = 842
trigger1 = animtime = 0



;---------------------------------------------------------------------------
;Thrown by Kung Fu Throw
; (a custom gethit state)
; Description: This is the state that the opponent changes to after being
;     hit by KFM's throw HitDef. The important thing here is to use a
;     ChangeAnim2 controller. The difference between ChangeAnim2 and
;     ChangeAnim is that ChangeAnim2 changes the player's animation to
;     an action in the AIR file of the attacker (in this case, kfm.air),
;     whereas ChangeAnim always changes the player to an action in his
;     own AIR file. Look at Action 820 in kfm.air for some extra
;     comments.
[Statedef 850]
type    = A
movetype= H
physics = N
velset = 0,0

[State 820, 1]
type = ChangeAnim2
Trigger1 = Time = 0
value = 9741

[State 0, ]
type = PosSet
trigger1 = !gethitvar(isbound)
y = 0

[State 820, 2]
type = SelfState
trigger1 = !gethitvar(isbound)
value = 5050

;---------------------------------------------------------------------------
;Thrown by Kung Fu Throw - thrown into the air
; (a custom gethit state)
; Description: This state has the opponent flying through the air and
;     falling down onto the ground. The SelfState controller sets the
;     opponent back using to his own state file when he his the ground.
;     Controllers 821,2 and 821,3 allow the opponent to recover by
;     hitting his recovery command when he is falling.
[Statedef 851]
type    = A
movetype= H
physics = N
velset = 0,7
poweradd = 40

[State 0, AssertSpecial]
type = AssertSpecial
trigger1 = screenpos y < 0
flag = noshadow
[State 0, Gravity]
type = Gravity
trigger1 = 1
[State 0, ScreenBound]
type = ScreenBound
trigger1 = 1
value = 0
movecamera = 0,0
[State 0, PosSet]
type = PosSet
trigger1 = time = 0
x = random%320 - 160
y = -900
[State 0, ChangeAnim]
type = ChangeAnim
trigger1 = selfanimexist(5061)
trigger1 = time = 0
value = 5061
[State 0, ChangeAnim]
type = ChangeAnim
trigger1 = !selfanimexist(5061)
trigger1 = time = 0
value = 5050

[State 0, EnvShake]
type = EnvShake
trigger1 = pos y + vel y >= 0
time = 8
freq = 255
ampl = -6
[State 821, 4] ;Hit ground
type = SelfState
trigger1 = pos y + vel y >= 0
value = 5100


